-------------------------------------------
-- Options dialog                        --
-------------------------------------------
AGZOptionsTable = {
	type = "group",
	name="AGZ "..tostring(GetAddOnMetadata("AGZ", "Version")),
	childGroups = "tab",
	args = {
		globals = {
			type="group",
			name=L["TAB_GLOBAL_CAPTION"],
			childGroups = "tab",
			order=1,
			args={
				IgnoreKeywords = {
					name 		= L["IGNORE_ACHIEVEMENT_KEYWORDS_CAPTION"],
					desc 		= L["IGNORE_ACHIEVEMENT_KEYWORDS_DESCRIPTION"],
					type 		= "input",
					order 		= 10,
					width 		= "full",
					multiline 	= 5,
					set 		= function(info,val) AGZ.db.profile.global.IgnoreKeywords = val end,
					get 		= function(info) return AGZ.db.profile.global.IgnoreKeywords end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 30,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.Delay = val end,
					get 		= function(info) return AGZ.db.profile.global.Delay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 31,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.DelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.global.DelayRandom end
				},
				SendingBlocked = {
					name 		= L["SENDING_BLOCKED_CAPTION"],
					desc 		= L["SENDING_BLOCKED_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlocked = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlocked end
				},
				SendingBlockedPerPlayer = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_DESCRIPTION"],
					type 		= "toggle",
					order 		= 50,
					width 		= 1.8,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlockedPerPlayer = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlockedPerPlayer end
				},
				SendingBlockedPerLogin = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 52,
					width 		= 1.5,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlockedPerLogin = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlockedPerLogin end,
					disabled 	= function() return not AGZ.db.profile.global.SendingBlockedPerPlayer end
				},
				HeaderSound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					type 		= "header",
					order 		= 60, 
					width 		= "full",
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 61, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.global.PlaySound end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 65, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.global.PlaySoundID = val 
								AGZ_Debug("PlaySoundID= "..val)
								end,
					get 		= function(info) return AGZ.db.profile.global.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.global.PlaySound end
				},
				HeaderOther = {
					name 		= L["GLOBAL_SETTINGS_HEADER_OTHER"],
					type 		= "header",
					order 		= 80, 
					width 		= "full",
				},
				AFKDetection = {
					name 		= L["AFK_DETECTION_CAPTION"],
					desc 		= L["AFK_DETECTION_DESCRIPTION"],
					type 		= "toggle",
					order 		= 90,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.AFKDetection = val end,
					get 		= function(info) return AGZ.db.profile.global.AFKDetection end
				},
				Minimap = {
					name 		= L["MINIMAP_BUTTON_CAPTION"],
					desc 		= L["MINIMAP_BUTTON_DESCRIPTION"],
					type 		= "toggle",
					order 		= 91,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.minimap.show = val; AGZ:ToggleMinimapButton(); end,
					get 		= function(info) return AGZ.db.profile.minimap.show end
				},
				WelcomeMessage = {
					name 		= L["WELCOME_MESSAGE_CAPTION"],
					desc 		= L["WELCOME_MESSAGE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 92,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.WelcomeMessage = val end,
					get 		= function(info) return AGZ.db.profile.global.WelcomeMessage end
				},
				PrefixText = {
					name 		= L["PREFIX_MESSAGE_CAPTION"],
					desc 		= function() return string.gsub(AGZ_ParseMessage(L["PREFIX_MESSAGE_DESCRIPTION"], AchievementName, PlayerName, RealmName),"%%prefix%%",L["PREFIX"]) end,
					type 		= "input",
					order 		= 100,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.Prefix = val end,
					get 		= function(info) return AGZ.db.profile.global.Prefix end
				},
				PrefixActive = {
					name 		= L["PREFIX_ACTIVE_CAPTION"],
					desc 		= L["PREFIX_ACTIVE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 101,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PrefixActive = val end,
					get 		= function(info) return AGZ.db.profile.global.PrefixActive end
				},
				PrefixAsSuffix = {
					name 		= L["PREFIX_ASSUFFIX_CAPTION"],
					desc 		= function() return string.gsub(AGZ_ParseMessage(L["PREFIX_ASSUFFIX_DESCRIPTION"], AchievementName, PlayerName, RealmName),"%%prefix%%",L["PREFIX"]) end,
					type 		= "toggle",
					order 		= 102,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PrefixAsSuffix = val end,
					get 		= function(info) return AGZ.db.profile.global.PrefixAsSuffix end
				},
			},
		},
		guild = {
			type="group",
			name=L["TAB_GUILD_CAPTION"],
			childGroups = "tab",
			order=2,
			args={
				GuildMessageEnabled = {
					name 		= L["GUILD_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["GUILD_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.guild.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 15,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 16,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderWhisper = {
					name 		= L["TAB_WHISPER_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageWhisperAdditionally = {
					name 		= L["WHISPER_ADDITIONALLY_CAPTION"],
					desc 		= L["WHISPER_ADDITIONALLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 21,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WhisperAdditionally = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WhisperAdditionally end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageWhisperOnly = {
					name 		= L["WHISPER_ONLY_CAPTION"],
					desc 		= L["WHISPER_ONLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WhisperOnly = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WhisperOnly end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderMultiGZ = {
					name 		= L["MESSAGE_MULTIGZ_CAPTION"],
					type 		= "header",
					order 		= 50, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZ = {
					name 		= L["MESSAGE_MULTIGZ_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_DESCRIPTION"],
					type 		= "toggle",
					order 		= 51,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZ = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZ end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZMessage = {
					name 		= L["MESSAGE_MULTIGZ_MESSAGE_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_MESSAGE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 52,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZMessage = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZMessage end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 53,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZ = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZ end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZTimeframe = {
					name 		= L["MESSAGE_MULTIGZ_TIMEFRAME_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 55,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZTimeframe = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZTimeframe end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				-- HeaderSound = {
					-- name 		= L["PLAY_SOUND_CAPTION"],
					-- type 		= "header",
					-- order 		= 60, 
					-- width 		= "full",
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				-- },
				-- PlaySound = {
					-- name 		= L["PLAY_SOUND_CAPTION"],
					-- desc 		= L["PLAY_SOUND_DESCRIPTION"],
					-- type 		= "toggle",
					-- order 		= 61, 
					-- width 		= "normal",
					-- set 		= function(info,val) AGZ.db.profile.messages.guild.PlaySound = val end,
					-- get 		= function(info) return AGZ.db.profile.messages.guild.PlaySound end,
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				-- },
				-- PlaySoundID = {
					-- name 		= L["PLAY_SOUNDID_CAPTION"],
					-- desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					-- type 		= "select",
					-- dialogControl = "LSM30_Sound",
					-- values 		= AceGUIWidgetLSMlists.sound,
					-- order 		= 62, 
					-- width 		= "double",
					-- set 		= function(info,val) AGZ.db.profile.messages.guild.PlaySoundID = val end,
					-- get 		= function(info) return AGZ.db.profile.messages.guild.PlaySoundID end,
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.PlaySound or not AGZ.db.profile.messages.guild.enabled end
				-- },
				HeaderRespondGz = {
					name 		= L["GUILD_RESPONDTOGZ_CAPTION"],
					type 		= "header",
					order 		= 69, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGz = {
					name 		= L["GUILD_RESPONDTOGZ_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_DESCRIPTION"],
					type 		= "toggle",
					order 		= 70, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGz = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGz end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzTrigger = {
					name 		= L["GUILD_RESPONDTOGZ_TRIGGER_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_TRIGGER_DESCRIPTION"],
					type 		= "input",
					order 		= 71,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzTimeframe = {
					name 		= L["GUILD_RESPONDTOGZ_TIMEFRAME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 600,
					order 		= 72,
					width 		= "full",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 600,
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzResponse = {
					name 		= L["GUILD_RESPONDTOGZ_RESPONSE_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_RESPONSE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 74,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzPool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzPool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzPoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 76,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzPoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzPoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzDelay = {
					name 		= L["GUILD_RESPONDTOGZ_DELAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 77,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderWelcome = {
					name 		= L["GUILD_RESPONDTOWELCOME_CAPTION"],
					type 		= "header",
					order 		= 79, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				Welcome = {
					name 		= L["GUILD_RESPONDTOWELCOME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 80, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.Welcome = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.Welcome end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeOnceADay = {
					name 		= L["GUILD_RESPONDTOWELCOME_ONCEADAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_ONCEADAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 81,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeOnceADay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeOnceADay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeOffsetTime = {
					name 		= L["GUILD_RESPONDTOWELCOME_OFFSETTIME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_OFFSETTIME_DESCRIPTION"],
					type 		= "input",
					order 		= 82,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeOffsetTime = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeOffsetTime end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled or not AGZ.db.profile.messages.guild.WelcomeOnceADay end
				},
				WelcomeTrigger = {
					name 		= L["GUILD_RESPONDTOWELCOME_TRIGGER_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_TRIGGER_DESCRIPTION"],
					type 		= "input",
					multiline 	= 2,
					order 		= 83,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeTimeframe = {
					name 		= L["GUILD_RESPONDTOWELCOME_TIMEFRAME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 600,
					order 		= 84,
					width 		= "full",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 600,
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeTimeframe = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeTimeframe end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeResponse = {
					name 		= L["GUILD_RESPONDTOWELCOME_RESPONSE_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_RESPONSE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 85,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomePool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 86,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeDelay = {
					name 		= L["GUILD_RESPONDTOWELCOME_DELAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 87,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderLogin = {
					name 		= L["GUILD_LOGIN_CAPTION"],
					type 		= "header",
					order 		= 89, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				Login = {
					name 		= L["GUILD_LOGIN_CAPTION"],
					desc 		= L["GUILD_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 90, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.Login = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.Login end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				LoginOnceADay = {
					name 		= L["GUILD_LOGIN_ONCEADAY_CAPTION"],
					desc 		= L["GUILD_LOGIN_ONCEADAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 91,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginOnceADay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginOnceADay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginMessage = {
					name 		= L["GUILD_LOGIN_MESSAGE_CAPTION"],
					desc 		= L["GUILD_LOGIN_MESSAGE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 94,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginPool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginPool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginPoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 96,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginPoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginPoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginDelay = {
					name 		= L["GUILD_LOGIN_DELAY_CAPTION"],
					desc 		= L["GUILD_LOGIN_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 97,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderNewMember = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_CAPTION"],
					type 		= "header",
					order 		= 100, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				NewMember = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 101, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMember = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMember end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				NewMemberDelay = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_DELAY_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 102,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMemberDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMemberDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.NewMember or not AGZ.db.profile.messages.guild.enabled end
				},
				NewMemberWelcomeMessage = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_MESSAGE_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_MESSAGE_DESCRIPTION"],
					type 		= "input",
					order 		= 103,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMemberWelcomeMessage = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMemberWelcomeMessage end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.NewMember or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderChatChannel = {
					name 		= L["GUILD_CHATCHANNEL_CAPTION"],
					type 		= "header",
					order 		= 110, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannel = {
					name 		= L["GUILD_CHATCHANNEL_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_DESCRIPTION"],
					type 		= "toggle",
					order 		= 111, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannel = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannel end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelTrigger = {
					name 		= L["GUILD_CHATCHANNEL_TRIGGER_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_TRIGGER_DESCRIPTION"],
					type 		= "input",
					order 		= 112,
					multiline 	= 3,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelGlobal = {
					name 		= L["GUILD_CHATCHANNEL_GLOBAL_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_GLOBAL_DESCRIPTION"],
					type 		= "toggle",
					order 		= 113, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelGlobal = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelGlobal end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelName = {
					name 		= L["GUILD_CHATCHANNEL_NAME_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_NAME_DESCRIPTION"],
					type 		= "input",
					order 		= 114,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelName = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelName end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannelGlobal or not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
			},
		},
		party = {
			type="group",
			name=L["TAB_PARTY_CAPTION"],
			order=3,
			args={
				PartyMessageEnabled = {
					name 		= L["PARTY_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["PARTY_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.party.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.enabled end
				},
				PartyMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.party.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PartyMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.party.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type 		= "input",
					multiline 	= 15,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.party.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PartyMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 41,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.party.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 60, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.party.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.PlaySound end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 61, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.party.PlaySoundID = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.messages.party.PlaySound or not AGZ.db.profile.messages.party.enabled end
				},
			},
		},
		say = {
			type="group",
			name=L["TAB_SAY_CAPTION"],
			order=4,
			args={
				SayMessageEnabled = {
					name 		= L["SAY_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["SAY_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.say.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.enabled end
				},
				SayMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.say.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				SayMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.say.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type 		= "input",
					multiline 	= 15,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.say.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				SayMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 41,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.say.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 60, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.say.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.PlaySound end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 61, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.say.PlaySoundID = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.messages.say.PlaySound or not AGZ.db.profile.messages.say.enabled end
				},
			},
		},
		perPlayerSettings = {
			type="group",
			name=L["TAB_PERPLAYER_CAPTION"],
			order=8,
			childGroups="select",
			args={
				NewPlayer		= {
					name 		= L["PERPLAYER_NEWPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_NEWPLAYER_DESCRIPTION"],
					type 		= "input",
					order 		= 10,
					width 		= "normal",
					set 		= function(info,val) AGZ_SettingsAddPlayerName(val) end,
					get 		= false,
				},
				SelectPlayer = {
					name 		= L["PERPLAYER_SELECTPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_SELECTPLAYER_DESCRIPTION"],
					type 		= "select",
					values 		= function() return AGZ_SettingsGetPlayerNames(true, false) end,
					style		= "dropdown",
					order 		= 13, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players.lastUsedPlayer = val; end,
					get 		= function(info) return AGZ.db.profile.players.lastUsedPlayer end,
				},
				DeletePlayer	= {
					name 		= L["PERPLAYER_REMOVEPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_REMOVEPLAYER_DESCRIPTION"],
					type 		= "execute",
					order 		= 15,
					width 		= "normal",
					func 		= function() AGZ_SettingsDeletePlayerName(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name); end,
--					get 		= false,
				},
				BelongsToPlayer = {
					name 		= L["PERPLAYER_BELONGSTO_CAPTION"],
					desc 		= L["PERPLAYER_BELONGSTO_DESCRIPTION"],
					type 		= "select",
					values 		= function() return AGZ_SettingsGetPlayerNames(false, true) end,
					style		= "dropdown",
					order 		= 20, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo = string.trim(val); AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer;  end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo end,
				},
				RealName		= {
					name 		= L["PERPLAYER_REALNAME_CAPTION"],
					desc 		= L["PERPLAYER_REALNAME_DESCRIPTION"],
					type 		= "input",
					order 		= 24,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].Realname = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].Realname; end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				UseRealName = {
					name 		= L["PERPLAYER_USEREALNAME_CAPTION"],
					desc 		= L["PERPLAYER_USEREALNAME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 26, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].UseRealname = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].UseRealname end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				SendingBlocked = {
					name 		= L["SENDING_BLOCKED_CAPTION"],
					desc 		= L["SENDING_BLOCKED_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 3600,
					order 		= 30,
					width 		= "double",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 3600,
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlocked = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlocked end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				SendingBlockedPerLogin = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 32, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlockedPerLogin = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlockedPerLogin end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 5,
					order 		= 40,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 45,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePoolRandomize = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePoolRandomize end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				HeaderWhisper = {
					name 		= L["TAB_WHISPER_CAPTION"],
					type 		= "header",
					order 		= 50, 
					width 		= "full",
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessageWhisperAdditionally = {
					name 		= L["WHISPER_ADDITIONALLY_CAPTION"],
					desc 		= L["WHISPER_ADDITIONALLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 51,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperAdditionally = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperAdditionally end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessageWhisperOnly = {
					name 		= L["WHISPER_ONLY_CAPTION"],
					desc 		= L["WHISPER_ONLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 52,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperOnly = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperOnly end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerWhisperMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 5,
					order 		= 55,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerWhisperMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 56,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperPoolRandomize = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperPoolRandomize end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				HeaderSound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					type 		= "header",
					order 		= 60, 
					width 		= "full",
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 61, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 62, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySoundID = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySoundID end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer) or (not AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound); end,
--					disabled 	= function() return not AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound end
				},
			},
		},
		replacement = {
			type="group",
			name=L["TAB_REPLACEMENTS_CAPTION"],
			order=6,
			args={
				Replacements = {
					name 		= L["REPLACEMENTS_CAPTION"],
					desc 		= L["REPLACEMENTS_DESCRIPTION"],
					type 		= "input",
					width 		= "full",
					multiline 	= 22,
					order 		= 5,
					set 		= function(info,val) AGZ.db.profile.replacement.Replacements = val end,
					get 		= function(info) return AGZ.db.profile.replacement.Replacements end
				},
				ReplacementsPreview = {
					name 		= function() return "\124c000064FF"..AGZ_ParseMessage(AGZ.db.profile.replacement.PreviewMessageSample, AchievementName, PlayerName, RealmName).."\124r" end,
					desc 		= "",
					type 		= "description",
					width 		= "full",
					order 		= 30
				},
				ReplacementSample = {
					name 		= L["PREVIEW_MESSAGE_SAMPLE_CAPTION"],
					desc 		= L["PREVIEW_MESSAGE_SAMPLE_DESCRIPTION"],
					type 		= "input",
					width 		= "full",
					order 		= 20,
					set 		= function(info,val) 
									AGZ.db.profile.replacement.PreviewMessageSample = val 
								end,
					get 		= function(info) 
									return AGZ.db.profile.replacement.PreviewMessageSample 
								end
				},
				ReplacementsInTitle = {
					name 		= L["REPLACEMENTS_IN_TITLE_CAPTION"],
					desc 		= L["REPLACEMENTS_IN_TITLE_DESCRIPTION"],
					type 		= "toggle",
					width		= "full",
					order 		= 10,
					set 		= function(info,val) AGZ.db.profile.replacement.InTitle = val end,
					get 		= function(info) return AGZ.db.profile.replacement.InTitle end
				}
			}
		}
	}
}

AGZChatOptionsTable = {
	type = "group",
	name=L["CHAT_CAPTION"],
--	childGroups = "tab",
	args = {
		-- globals = {
			-- type="group",
			-- name=L["TAB_GLOBAL_CAPTION"],
			-- order=1,
			-- args={
				-- ChatEnabled = {
					-- name 		= L["CHAT_ENABLED_CAPTION"],
					-- desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					-- type 		= "toggle",
					-- order 		= 11,
					-- width 		= "double",
					-- set 		= function(info,val) AGZ.db.profile.chat.enabled = val end,
					-- get 		= function(info) return AGZ.db.profile.chat.enabled end
				-- },
			-- },
		-- },
		guild = {
			type="group",
			name=L["TAB_GUILD_CAPTION"],
			order=2,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.guild.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.ChatAlert or not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.ChatAlert or not AGZ.db.profile.chat.guild.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.guild.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ReactionDelayRandom end
				},
			},
		},	
		party = {
			type="group",
			name=L["TAB_PARTY_CAPTION"],
			order=3,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.party.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.party.ChatAlert or not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.party.ChatAlert or not AGZ.db.profile.chat.party.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.party.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ReactionDelayRandom end
				},
			},
		},		
		raid = {
			type="group",
			name=L["TAB_RAID_CAPTION"],
			order=4,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.raid.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.ChatAlert or not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.ChatAlert or not AGZ.db.profile.chat.raid.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.raid.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ReactionDelayRandom end
				},
			},
		},		
		officer = {
			type="group",
			name=L["TAB_OFFICER_CAPTION"],
			order=5,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.officer.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.ChatAlert or not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.ChatAlert or not AGZ.db.profile.chat.officer.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.officer.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ReactionDelayRandom end
				},
			},
		},		
		bgAlliance = {
			type="group",
			name=L["TAB_BGALLIANCE_CAPTION"],
			order=6,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.ChatAlert or not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.ChatAlert or not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgAlliance.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ReactionDelayRandom end
				},
			},
		},		
		bgHorde = {
			type="group",
			name=L["TAB_BGHORDE_CAPTION"],
			order=7,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.ChatAlert or not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.ChatAlert or not AGZ.db.profile.chat.bgHorde.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgHorde.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ReactionDelayRandom end
				},
			},
		},		
		bgNeutral = {
			type="group",
			name=L["TAB_BGNEUTRAL_CAPTION"],
			order=8,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.ChatAlert or not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.ChatAlert or not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgNeutral.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ReactionDelayRandom end
				},
			},
		},		
		say = {
			type="group",
			name=L["TAB_SAY_CAPTION"],
			order=9,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.say.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.say.ChatAlert or not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.say.ChatAlert or not AGZ.db.profile.chat.say.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.say.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ReactionDelayRandom end
				},
			},
		},
		emote = {
			type="group",
			name=L["TAB_EMOTE_CAPTION"],
			order=10,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.emote.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.ChatAlert or not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.ChatAlert or not AGZ.db.profile.chat.emote.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= L["CHAT_MESSAGEPOOL_EMOTE_DESCRIPTION"],
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.emote.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ReactionDelayRandom end
				},
			},
		},
		whisper = {
			type="group",
			name=L["TAB_WHISPER_CAPTION"],
			order=11,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.ChatAlert or not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.ChatAlert or not AGZ.db.profile.chat.whisper.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.whisper.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ReactionDelayRandom end
				},
			},
		},
		monster = {
			type="group",
			name=L["TAB_MONSTER_CAPTION"],
			order=12,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.monster.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.ChatAlert or not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.ChatAlert or not AGZ.db.profile.chat.monster.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.monster.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ReactionDelayRandom end
				},
			},
		},
		other = {
			type="group",
			name=L["TAB_OTHER_CAPTION"],
			order=13,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.other.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.other.ChatAlert or not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.other.ChatAlert or not AGZ.db.profile.chat.other.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.other.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ReactionDelayRandom end
				}
			}
		}
	}
}

