

function AGZ_SendTextToDefaultChannel(text)
	if text ~= nil then
		DEFAULT_CHAT_FRAME.editBox:SetText(text) 
		ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0) 
	end
end

function AGZ_SplitPlayerName(str)
	local pn=tostring(str)
	local pr=""
	local j=string.find(pn,"-")
	if j~=nil then
		pr=string.sub(pn,j+1)
		pn=string.sub(pn,1,j-1)
	end
	return pn, pr
end

function AGZ_Split(str, pat, tab)
   local t = {}  -- NOTE: use {n = 0} in Lua-5.0
   local fpat = "(.-)"..pat
   local last_end = 1
   local s, e, cap = str:find(fpat, 1)
   while s do
      if s ~= 1 or cap ~= "" then
	 table.insert(t,cap)
      end
      last_end = e+1
      s, e, cap = str:find(fpat, last_end)
   end
   if last_end <= #str then
      cap = str:sub(last_end)
      table.insert(t, cap)
   end
    if tab ~= true then
        return unpack(t)
	else
        return t
	end
end

function AGZ_IsInString(String, Find, Separator)
    AGZ_Debug("AGZ_IsInString String: "..tostring(String))
    AGZ_Debug("AGZ_IsInString Find: "..tostring(Find))
    AGZ_Debug("AGZ_IsInString Separator: "..tostring(Separator))
	
	if (String==nil) or (String=="") or (Find==nil) or (Find=="") then return false; end
	if (Separator==nil) or (Separator== "") then Separator=";"; end
	
	if string.find(String, Separator)==nil then
		return Find==String
	else
		local STab = AGZ_Split(String, Separator, true)
		for n, word in ipairs(STab) do
			if word==Find then return true; end
		end
	end
	return false
end

function AGZ_FindString(String, Find)
	if (String==nil) or (String=="") or (Find==nil) or (Find=="") then return false; end
	
	-- String = string.lower(String)
	-- Find = string.lower(Find)
	
	local exact = string.starts(Find,"[") and string.ends(Find,"]")
	if exact then
		Find = string.sub(Find, 2, string.len(Find)-1)
	end
	
	local plain = string.starts(Find,"'") and string.ends(Find,"'")
	if plain then
		Find = string.sub(Find, 2, string.len(Find)-1)
	end
	
	if exact then 
		return string.trim(String)==string.trim(Find)
	elseif string.find(String,Find,1,plain) ~= nil then
		if string.find(Find,"%s") == nil then
			local j = 0
			for subword in (String):gmatch("%S+") do 
				if string.trim(subword) ~= "" then 
					if Find == subword then
						return true
					end
					j = j + 1;
				end
			end
		else
			return true
		end
	end
	return false
end

function AGZ_GetMidnight(OffsetHours)
	local dt=date("*t")
	dt.hour = 23
	dt.min = 59
	dt.sec = 59
	
	OffsetHours = gsub(tostring(OffsetHours),",",".")
	local addSeconds=0
	if tonumber(OffsetHours) ~= nil then
		addSeconds = tonumber(OffsetHours) * 3600
	end
	return time({day=dt.day,month=dt.month,year=dt.year,hour=dt.hour,min=dt.min,sec=dt.sec}) + 1 + addSeconds
end 

function AGZ_IsInTimeFrame(TimeFrame)
	-- format expected: HH:MM-HH:MM
    AGZ_Debug("AGZ_IsInTimeFrame TimeFrame: "..tostring(TimeFrame))
	local sTimeFrame = string.match(TimeFrame,"%d%d%:%d%d%-%d%d%:%d%d")
	if sTimeFrame == nil then 
		return false 
	end
	local sh=tonumber(string.sub(sTimeFrame,1,2))
	if sh < 0 then sh = 0 end
	if sh > 23 then sh = 23 end
	local sm=tonumber(string.sub(sTimeFrame,4,5))
	if sm < 0 then sm = 0 end
	if sm > 59 then sm = 59 end
	local dh=tonumber(string.sub(sTimeFrame,7,8))
	if dh < 0 then dh = 0 end
	if dh > 23 then dh = 23 end
	local dm=tonumber(string.sub(sTimeFrame,10,11))
	if dm < 0 then dm = 0 end
	if dm > 59 then dm = 59 end

	local dt=date("*t")
	local sTime = time({day=dt.day,month=dt.month,year=dt.year,hour=sh,min=sm,sec=0})
	local dTime = time({day=dt.day,month=dt.month,year=dt.year,hour=dh,min=dm,sec=59})
	if dTime < sTime then 
		--add a day
		dTime = dTime + 86400
	end
	
	if (sTime <= time() and dTime >= time()) or (sTime - 86400 < time() and dTime - 86400 >= time()) then
		return true
	else
		return false
	end
end

function AGZ_TimeStampAsString(val)
	if val == nil then val = 0 end
	
	--maybe later localized ;)
	local TSFormat = "%d.%m.%y %H:%M:%S"
	
	return tostring(date(TSFormat, val))
end

function string.trim(String)
  return String:gsub("^%s+", ""):gsub("%s+$", "")
end

function string.starts(String,Start)
   return string.sub(String,1,string.len(Start))==Start
end

function string.ends(String,End)
   return End=='' or string.sub(String,-string.len(End))==End
end
  
function string.fromhex(str)
    return (str:gsub('..', function (cc)
        return string.char(tonumber(cc, 16))
    end))
end

function string.tohex(str)
    return (str:gsub('.', function (c)
        return string.format('%02X', string.byte(c))
    end))
end

