local AGZ = LibStub("AceAddon-3.0"):NewAddon("AGZ", "AceConsole-3.0", "AceEvent-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("AGZ")
local AceGUI = LibStub("AceGUI-3.0")
local SharedMedia = LibStub:GetLibrary("LibSharedMedia-3.0")
local AGZ_ldb = LibStub("LibDataBroker-1.1"):NewDataObject("AGZ", {
	type = "data source",
	text = "AGZ",
	icon = "Interface\\Icons\\achievement_reputation_05",
	OnClick = function() InterfaceOptionsFrame_OpenToCategory("AGZ"); InterfaceOptionsFrame_OpenToCategory("AGZ"); end,
	OnTooltipShow = function(tt) AGZ:SetMinimapTooltip(tt); end,
})
local AGZ_ldbi = LibStub("LibDBIcon-1.0")

local PlayerName 					= UnitName("player")
local RealmName 					= GetRealmName()
local AchievementName 				= L["ACHIEVEMENT"]	
local GuildMessagePoolLastUsed 		= 0
local PartyMessagePoolLastUsed 		= 0
local SayMessagePoolLastUsed 		= 0

local GuildPlayerInfos				= {}
local GroupPlayerInfos				= {}

local OwnAchievementTS				= 0
local LastAchievementsTS			= 0
local LastAchievementsPlayers		= {}

local BlockedUsersNamesPerLogin		= {}
local AGZ_PlayersTable				= {}

local MyLogin						= time()
local ChannelPrefix 				= "AGZ_690722"
local LastOwnEmoteTS				= 0
local DefaultEmoteBlockingSeconds	= 5

-------------------------------------------
-- declare defaults to be used in the DB --
-------------------------------------------
local AGZdefaults = {
	profile = {
		GuildDisabledOverride 		= false,
		Debugging					= false,
		DebugTimestamp				= false,
		minimap = {
			show					= true,
		},
		global = {
			AFKDetection			= true,
			DefaultMessage			= L["GZ"].." %n%-%r%".." for %a%",
			PlaySound 				= true,
			PlaySoundID 			= "Blizzard: "..L["SOUND_SIMON_DING"],
			Delay					= 5,
			SendingBlocked			= 30,
			SendingBlockedPerPlayer	= false,
			SendingBlockedPerLogin	= false,
			DelayRandom				= 30,
			IngoreKeywords 			= "",
			WelcomeMessage 			= true,
			Prefix					= L["PREFIX"],
			PrefixActive			= false,
			PrefixAsSuffix			= false,
		},
		players = {
			lastUsedPlayer			= "",
			['**'] = {
				name				= "",
				Realname			= "",
				UseRealname			= true,
				BelongsTo			= "",
				SendingBlocked		= 10,
				SendingBlockedPerLogin = false,
				lastSendTS			= 0,
				MessagePool			= L["GZ"].." %n%",
				MessagePoolRandomize = true,
				LastMessagePool 	= 1,
				PlaySound 			= false,
				PlaySoundID			= "Blizzard: "..L["SOUND_SIMON_DING"],
				WhisperOnly			= false,
				WhisperAdditionally = false,
				WhisperMessagePool 	= "",
				WhisperPoolRandomize = true,
				LastWhisperMessagePool = 1,
				LoginTS				= 0,
				LogoutTS			= 0,
			},
		},
		replacement = {
			PreviewMessageSample 	= L["GZ_REPLACEMENT_PREVIEW_SAMPLE"],
			Replacements 			= "",
			InTitle 				= false,
		},
		messages = {
			['**'] = {
				enabled 			= false,
				IgnoreDelay 		= false,
				MessagePool 		= L["GZ"].." %n%",
				MessagePoolRandomize = true,
				LastMessagePool 	= 1,
				PlaySound 			= true,
				PlaySoundID			= "Blizzard: "..L["SOUND_SIMON_DING"],
				MultiGZTimeframe 	= 2, 
				MultiGZ				= false,
				MultiGZMessage		= L["MULTI_GZ"],
				MultiGZRandomize	= true,
				LastMultiGZMessage 	= 1,
				WhisperToNames		= "",
				WhisperOnly			= false,
				WhisperAdditionally = false,
				WhisperMessage 		= "",
				WhisperRandomize	= true,
				LastWhisperMessage 	= 1,
			},
			guild = {
				enabled 			= true,
				PlaySoundID			= "Blizzard: "..L["SOUND_BELL_KARA"],
				ChatChannel			= false,
				ChatChannelName		= "",
				ChatChannelGlobal	= false,
				ChatChannelTrigger	= L["ACHIEVEMENT_EVENT_TEXT"],
				RespondToGz			= 0,
				RespondToGzDelay	= 15,
				RespondToGzTimeFrame = 60,
				RespondToGzTrigger	= L["GZ"],
				RespondToGzPool 	= L["THX"],
				RespondToGzPoolRandomize = true,
				LastRespondToGzPool = 1,
				Welcome				= 0,
				WelcomeDelay		= 5,
				WelcomeTimeframe	= 60,
				WelcomeOnceADay		= true,
				WelcomeOffsetTime	= 4,
				WelcomeTrigger		= L["HI"],
				WelcomePool			= L["HI"],
				WelcomePoolRandomize = true,
				LastWelcomePool 	= 1,
				Login				= 0,
				LoginDelay			= 5,
				LoginTimeframe		= 60,
				LoginPool			= L["HI"],
				LoginPoolRandomize 	= true,
				LastLoginPool	 	= 1,
				LastLoginTS		 	= 0,
				NewMember			= 1,
				NewMemberTrigger	= L["GUILD_NEW_MEMBER_TRIGGER"],
				NewMemberWelcomeMessage	= L["GUILD_NEW_MEMBER_WELCOME_MESSAGE"],
				NewMemberDelay		= 10,
				-- RespondToRe			= 1,
				-- RespondToReDelay	= 5,
			},
			test = {
				enabled 			= true,
				IgnoreDelay 		= true,
				PlaySoundID			= "Blizzard: "..L["SOUND_GONG_TROLL"],
				ChatChannel			= false,
				ChatChannelName		= "",
				ChatChannelGlobal	= false,
				ChatChannelTrigger	= L["ACHIEVEMENT_EVENT_TEXT"],
				RespondToGzDelay	= 30,
				RespondToGzTimeFrame = 60,
				RespondToGzTrigger	= L["GZ"],
				RespondToGzPool 	= L["THX"],
				RespondToGzPoolRandomize = true,
				LastRespondToGzPool = 1,
				MultiGZTimeframe 	= 5, 
				MultiGZ				= true,
				WhisperToNames		= "",
				WhisperOnly			= false,
				WhisperAdditionally = true,
				WhisperMessage 		= "",
				WhisperRandomize	= true,
				LastWhisperMessage 	= 1,
			},
		},
		chat = {
			enabled					= true,
			['**'] = {
				enabled		 		= true,
				ChatAlert			= false,
				ChatAlertSoundID	= "Blizzard: "..L["SOUND_SIMON_DING"],
				ChatAlertTimeFrame	= 5,
				ChatAlertLastTS		= 0,
				ChatPool			= "",
				ReactionDelay		= 5,
				ReactionDelayRandom	= 5,
			},
		}
	}
}

-------------------------------------------
-- Options dialog                        --
-------------------------------------------
AGZOptionsTable = {
	type = "group",
	name="AGZ "..tostring(GetAddOnMetadata("AGZ", "Version")),
	childGroups = "tab",
	args = {
		globals = {
			type="group",
			name=L["TAB_GLOBAL_CAPTION"],
			childGroups = "tab",
			order=1,
			args={
				IgnoreKeywords = {
					name 		= L["IGNORE_ACHIEVEMENT_KEYWORDS_CAPTION"],
					desc 		= L["IGNORE_ACHIEVEMENT_KEYWORDS_DESCRIPTION"],
					type 		= "input",
					order 		= 10,
					width 		= "full",
					multiline 	= 5,
					set 		= function(info,val) AGZ.db.profile.global.IgnoreKeywords = val end,
					get 		= function(info) return AGZ.db.profile.global.IgnoreKeywords end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 30,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.Delay = val end,
					get 		= function(info) return AGZ.db.profile.global.Delay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 31,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.DelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.global.DelayRandom end
				},
				SendingBlocked = {
					name 		= L["SENDING_BLOCKED_CAPTION"],
					desc 		= L["SENDING_BLOCKED_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlocked = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlocked end
				},
				SendingBlockedPerPlayer = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_DESCRIPTION"],
					type 		= "toggle",
					order 		= 50,
					width 		= 1.8,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlockedPerPlayer = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlockedPerPlayer end
				},
				SendingBlockedPerLogin = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 52,
					width 		= 1.5,
					set 		= function(info,val) AGZ.db.profile.global.SendingBlockedPerLogin = val end,
					get 		= function(info) return AGZ.db.profile.global.SendingBlockedPerLogin end,
					disabled 	= function() return not AGZ.db.profile.global.SendingBlockedPerPlayer end
				},
				HeaderSound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					type 		= "header",
					order 		= 60, 
					width 		= "full",
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 61, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.global.PlaySound end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 65, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.global.PlaySoundID = val 
								AGZ_Debug("PlaySoundID= "..val)
								end,
					get 		= function(info) return AGZ.db.profile.global.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.global.PlaySound end
				},
				HeaderOther = {
					name 		= L["GLOBAL_SETTINGS_HEADER_OTHER"],
					type 		= "header",
					order 		= 80, 
					width 		= "full",
				},
				AFKDetection = {
					name 		= L["AFK_DETECTION_CAPTION"],
					desc 		= L["AFK_DETECTION_DESCRIPTION"],
					type 		= "toggle",
					order 		= 90,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.AFKDetection = val end,
					get 		= function(info) return AGZ.db.profile.global.AFKDetection end
				},
				Minimap = {
					name 		= L["MINIMAP_BUTTON_CAPTION"],
					desc 		= L["MINIMAP_BUTTON_DESCRIPTION"],
					type 		= "toggle",
					order 		= 91,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.minimap.show = val; AGZ:ToggleMinimapButton(); end,
					get 		= function(info) return AGZ.db.profile.minimap.show end
				},
				WelcomeMessage = {
					name 		= L["WELCOME_MESSAGE_CAPTION"],
					desc 		= L["WELCOME_MESSAGE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 92,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.WelcomeMessage = val end,
					get 		= function(info) return AGZ.db.profile.global.WelcomeMessage end
				},
				PrefixText = {
					name 		= L["PREFIX_MESSAGE_CAPTION"],
					desc 		= function() return string.gsub(AGZ_ParseMessage(L["PREFIX_MESSAGE_DESCRIPTION"], AchievementName, PlayerName, RealmName),"%%prefix%%",L["PREFIX"]) end,
					type 		= "input",
					order 		= 100,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.Prefix = val end,
					get 		= function(info) return AGZ.db.profile.global.Prefix end
				},
				PrefixActive = {
					name 		= L["PREFIX_ACTIVE_CAPTION"],
					desc 		= L["PREFIX_ACTIVE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 101,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PrefixActive = val end,
					get 		= function(info) return AGZ.db.profile.global.PrefixActive end
				},
				PrefixAsSuffix = {
					name 		= L["PREFIX_ASSUFFIX_CAPTION"],
					desc 		= function() return string.gsub(AGZ_ParseMessage(L["PREFIX_ASSUFFIX_DESCRIPTION"], AchievementName, PlayerName, RealmName),"%%prefix%%",L["PREFIX"]) end,
					type 		= "toggle",
					order 		= 102,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.global.PrefixAsSuffix = val end,
					get 		= function(info) return AGZ.db.profile.global.PrefixAsSuffix end
				},
			},
		},
		guild = {
			type="group",
			name=L["TAB_GUILD_CAPTION"],
			childGroups = "tab",
			order=2,
			args={
				GuildMessageEnabled = {
					name 		= L["GUILD_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["GUILD_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.guild.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 15,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 16,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderWhisper = {
					name 		= L["TAB_WHISPER_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageWhisperAdditionally = {
					name 		= L["WHISPER_ADDITIONALLY_CAPTION"],
					desc 		= L["WHISPER_ADDITIONALLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 21,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WhisperAdditionally = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WhisperAdditionally end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				GuildMessageWhisperOnly = {
					name 		= L["WHISPER_ONLY_CAPTION"],
					desc 		= L["WHISPER_ONLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WhisperOnly = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WhisperOnly end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderMultiGZ = {
					name 		= L["MESSAGE_MULTIGZ_CAPTION"],
					type 		= "header",
					order 		= 50, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZ = {
					name 		= L["MESSAGE_MULTIGZ_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_DESCRIPTION"],
					type 		= "toggle",
					order 		= 51,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZ = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZ end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZMessage = {
					name 		= L["MESSAGE_MULTIGZ_MESSAGE_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_MESSAGE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 52,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZMessage = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZMessage end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 53,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZ = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZ end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				MultiGZTimeframe = {
					name 		= L["MESSAGE_MULTIGZ_TIMEFRAME_CAPTION"],
					desc 		= L["MESSAGE_MULTIGZ_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 55,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.MultiGZTimeframe = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.MultiGZTimeframe end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.MultiGZ or not AGZ.db.profile.messages.guild.enabled end
				},
				-- HeaderSound = {
					-- name 		= L["PLAY_SOUND_CAPTION"],
					-- type 		= "header",
					-- order 		= 60, 
					-- width 		= "full",
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				-- },
				-- PlaySound = {
					-- name 		= L["PLAY_SOUND_CAPTION"],
					-- desc 		= L["PLAY_SOUND_DESCRIPTION"],
					-- type 		= "toggle",
					-- order 		= 61, 
					-- width 		= "normal",
					-- set 		= function(info,val) AGZ.db.profile.messages.guild.PlaySound = val end,
					-- get 		= function(info) return AGZ.db.profile.messages.guild.PlaySound end,
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				-- },
				-- PlaySoundID = {
					-- name 		= L["PLAY_SOUNDID_CAPTION"],
					-- desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					-- type 		= "select",
					-- dialogControl = "LSM30_Sound",
					-- values 		= AceGUIWidgetLSMlists.sound,
					-- order 		= 62, 
					-- width 		= "double",
					-- set 		= function(info,val) AGZ.db.profile.messages.guild.PlaySoundID = val end,
					-- get 		= function(info) return AGZ.db.profile.messages.guild.PlaySoundID end,
					-- disabled 	= function() return not AGZ.db.profile.messages.guild.PlaySound or not AGZ.db.profile.messages.guild.enabled end
				-- },
				HeaderRespondGz = {
					name 		= L["GUILD_RESPONDTOGZ_CAPTION"],
					type 		= "header",
					order 		= 69, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGz = {
					name 		= L["GUILD_RESPONDTOGZ_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_DESCRIPTION"],
					type 		= "toggle",
					order 		= 70, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGz = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGz end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzTrigger = {
					name 		= L["GUILD_RESPONDTOGZ_TRIGGER_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_TRIGGER_DESCRIPTION"],
					type 		= "input",
					order 		= 71,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzTimeframe = {
					name 		= L["GUILD_RESPONDTOGZ_TIMEFRAME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 600,
					order 		= 72,
					width 		= "full",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 600,
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzResponse = {
					name 		= L["GUILD_RESPONDTOGZ_RESPONSE_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_RESPONSE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 74,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzPool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzPool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzPoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 76,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzPoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzPoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				RespondToGzDelay = {
					name 		= L["GUILD_RESPONDTOGZ_DELAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOGZ_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 77,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.RespondToGzDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.RespondToGzDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.RespondToGz or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderWelcome = {
					name 		= L["GUILD_RESPONDTOWELCOME_CAPTION"],
					type 		= "header",
					order 		= 79, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				Welcome = {
					name 		= L["GUILD_RESPONDTOWELCOME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 80, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.Welcome = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.Welcome end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeOnceADay = {
					name 		= L["GUILD_RESPONDTOWELCOME_ONCEADAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_ONCEADAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 81,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeOnceADay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeOnceADay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeOffsetTime = {
					name 		= L["GUILD_RESPONDTOWELCOME_OFFSETTIME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_OFFSETTIME_DESCRIPTION"],
					type 		= "input",
					order 		= 82,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeOffsetTime = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeOffsetTime end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled or not AGZ.db.profile.messages.guild.WelcomeOnceADay end
				},
				WelcomeTrigger = {
					name 		= L["GUILD_RESPONDTOWELCOME_TRIGGER_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_TRIGGER_DESCRIPTION"],
					type 		= "input",
					multiline 	= 2,
					order 		= 83,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeTimeframe = {
					name 		= L["GUILD_RESPONDTOWELCOME_TIMEFRAME_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 600,
					order 		= 84,
					width 		= "full",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 600,
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeTimeframe = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeTimeframe end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeResponse = {
					name 		= L["GUILD_RESPONDTOWELCOME_RESPONSE_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_RESPONSE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 85,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomePool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 86,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				WelcomeDelay = {
					name 		= L["GUILD_RESPONDTOWELCOME_DELAY_CAPTION"],
					desc 		= L["GUILD_RESPONDTOWELCOME_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 87,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.WelcomeDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.WelcomeDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Welcome or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderLogin = {
					name 		= L["GUILD_LOGIN_CAPTION"],
					type 		= "header",
					order 		= 89, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				Login = {
					name 		= L["GUILD_LOGIN_CAPTION"],
					desc 		= L["GUILD_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 90, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.Login = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.Login end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				LoginOnceADay = {
					name 		= L["GUILD_LOGIN_ONCEADAY_CAPTION"],
					desc 		= L["GUILD_LOGIN_ONCEADAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 91,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginOnceADay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginOnceADay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginMessage = {
					name 		= L["GUILD_LOGIN_MESSAGE_CAPTION"],
					desc 		= L["GUILD_LOGIN_MESSAGE_DESCRIPTION"],
					type 		= "input",
					multiline 	= 5,
					order 		= 94,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginPool = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginPool end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginPoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 96,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginPoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginPoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				LoginDelay = {
					name 		= L["GUILD_LOGIN_DELAY_CAPTION"],
					desc 		= L["GUILD_LOGIN_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 97,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.LoginDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.LoginDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.Login or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderNewMember = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_CAPTION"],
					type 		= "header",
					order 		= 100, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				NewMember = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 101, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMember = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMember end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				NewMemberDelay = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_DELAY_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_DELAY_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 102,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMemberDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMemberDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.NewMember or not AGZ.db.profile.messages.guild.enabled end
				},
				NewMemberWelcomeMessage = {
					name 		= L["GUILD_NEW_MEMBER_WELCOME_MESSAGE_CAPTION"],
					desc 		= L["GUILD_NEW_MEMBER_WELCOME_MESSAGE_DESCRIPTION"],
					type 		= "input",
					order 		= 103,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.guild.NewMemberWelcomeMessage = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.NewMemberWelcomeMessage end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.NewMember or not AGZ.db.profile.messages.guild.enabled end
				},
				HeaderChatChannel = {
					name 		= L["GUILD_CHATCHANNEL_CAPTION"],
					type 		= "header",
					order 		= 110, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannel = {
					name 		= L["GUILD_CHATCHANNEL_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_DESCRIPTION"],
					type 		= "toggle",
					order 		= 111, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannel = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannel end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelTrigger = {
					name 		= L["GUILD_CHATCHANNEL_TRIGGER_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_TRIGGER_DESCRIPTION"],
					type 		= "input",
					order 		= 112,
					multiline 	= 3,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelTrigger = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelTrigger end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelGlobal = {
					name 		= L["GUILD_CHATCHANNEL_GLOBAL_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_GLOBAL_DESCRIPTION"],
					type 		= "toggle",
					order 		= 113, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelGlobal = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelGlobal end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
				ChatChannelName = {
					name 		= L["GUILD_CHATCHANNEL_NAME_CAPTION"],
					desc 		= L["GUILD_CHATCHANNEL_NAME_DESCRIPTION"],
					type 		= "input",
					order 		= 114,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.guild.ChatChannelName = val end,
					get 		= function(info) return AGZ.db.profile.messages.guild.ChatChannelName end,
					disabled 	= function() return not AGZ.db.profile.messages.guild.ChatChannelGlobal or not AGZ.db.profile.messages.guild.ChatChannel or not AGZ.db.profile.messages.guild.enabled end
				},
			},
		},
		party = {
			type="group",
			name=L["TAB_PARTY_CAPTION"],
			order=3,
			args={
				PartyMessageEnabled = {
					name 		= L["PARTY_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["PARTY_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.party.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.enabled end
				},
				PartyMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.party.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PartyMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.party.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type 		= "input",
					multiline 	= 15,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.party.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PartyMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 41,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.party.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 60, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.party.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.PlaySound end,
					disabled 	= function() return not AGZ.db.profile.messages.party.enabled end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 61, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.party.PlaySoundID = val end,
					get 		= function(info) return AGZ.db.profile.messages.party.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.messages.party.PlaySound or not AGZ.db.profile.messages.party.enabled end
				},
			},
		},
		say = {
			type="group",
			name=L["TAB_SAY_CAPTION"],
			order=4,
			args={
				SayMessageEnabled = {
					name 		= L["SAY_MESSAGE_ENABLED_CAPTION"],
					desc 		= L["SAY_MESSAGE_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.say.enabled = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.enabled end
				},
				SayMessageIgnoreDelay = {
					name 		= L["IGNORE_DELAY_CAPTION"],
					desc 		= L["IGNORE_DELAY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 12,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.say.IgnoreDelay = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.IgnoreDelay end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				SayMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.messages.say.MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type 		= "input",
					multiline 	= 15,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.say.MessagePool = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.MessagePool end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				SayMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 41,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.messages.say.MessagePoolRandomize = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.MessagePoolRandomize end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 60, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.messages.say.PlaySound = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.PlaySound end,
					disabled 	= function() return not AGZ.db.profile.messages.say.enabled end
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 61, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.messages.say.PlaySoundID = val end,
					get 		= function(info) return AGZ.db.profile.messages.say.PlaySoundID end,
					disabled 	= function() return not AGZ.db.profile.messages.say.PlaySound or not AGZ.db.profile.messages.say.enabled end
				},
			},
		},
		perPlayerSettings = {
			type="group",
			name=L["TAB_PERPLAYER_CAPTION"],
			order=8,
			childGroups="select",
			args={
				NewPlayer		= {
					name 		= L["PERPLAYER_NEWPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_NEWPLAYER_DESCRIPTION"],
					type 		= "input",
					order 		= 10,
					width 		= "normal",
					set 		= function(info,val) AGZ_SettingsAddPlayerName(val) end,
					get 		= false,
				},
				SelectPlayer = {
					name 		= L["PERPLAYER_SELECTPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_SELECTPLAYER_DESCRIPTION"],
					type 		= "select",
					values 		= function() return AGZ_SettingsGetPlayerNames(true, false) end,
					style		= "dropdown",
					order 		= 13, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players.lastUsedPlayer = val; end,
					get 		= function(info) return AGZ.db.profile.players.lastUsedPlayer end,
				},
				DeletePlayer	= {
					name 		= L["PERPLAYER_REMOVEPLAYER_CAPTION"],
					desc 		= L["PERPLAYER_REMOVEPLAYER_DESCRIPTION"],
					type 		= "execute",
					order 		= 15,
					width 		= "normal",
					func 		= function() AGZ_SettingsDeletePlayerName(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name); end,
--					get 		= false,
				},
				BelongsToPlayer = {
					name 		= L["PERPLAYER_BELONGSTO_CAPTION"],
					desc 		= L["PERPLAYER_BELONGSTO_DESCRIPTION"],
					type 		= "select",
					values 		= function() return AGZ_SettingsGetPlayerNames(false, true) end,
					style		= "dropdown",
					order 		= 20, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo = string.trim(val); AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer;  end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo end,
				},
				RealName		= {
					name 		= L["PERPLAYER_REALNAME_CAPTION"],
					desc 		= L["PERPLAYER_REALNAME_DESCRIPTION"],
					type 		= "input",
					order 		= 24,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].Realname = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].Realname; end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				UseRealName = {
					name 		= L["PERPLAYER_USEREALNAME_CAPTION"],
					desc 		= L["PERPLAYER_USEREALNAME_DESCRIPTION"],
					type 		= "toggle",
					order 		= 26, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].UseRealname = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].UseRealname end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				SendingBlocked = {
					name 		= L["SENDING_BLOCKED_CAPTION"],
					desc 		= L["SENDING_BLOCKED_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 3600,
					order 		= 30,
					width 		= "double",
					step 		= 1,
					bigStep 	= 10,
					softMin 	= 0,
					softMax 	= 3600,
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlocked = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlocked end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				SendingBlockedPerLogin = {
					name 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_CAPTION"],
					desc 		= L["SENDING_BLOCKED_PERPLAYER_LOGIN_DESCRIPTION"],
					type 		= "toggle",
					order 		= 32, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlockedPerLogin = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].SendingBlockedPerLogin end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 5,
					order 		= 40,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePool end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 45,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePoolRandomize = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].MessagePoolRandomize end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				HeaderWhisper = {
					name 		= L["TAB_WHISPER_CAPTION"],
					type 		= "header",
					order 		= 50, 
					width 		= "full",
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessageWhisperAdditionally = {
					name 		= L["WHISPER_ADDITIONALLY_CAPTION"],
					desc 		= L["WHISPER_ADDITIONALLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 51,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperAdditionally = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperAdditionally end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerMessageWhisperOnly = {
					name 		= L["WHISPER_ONLY_CAPTION"],
					desc 		= L["WHISPER_ONLY_DESCRIPTION"],
					type 		= "toggle",
					order 		= 52,
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperOnly = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperOnly end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerWhisperMessagePool = {
					name 		= L["MESSAGE_POOL_CAPTION"],
					desc 		= function() return L["MESSAGE_POOL_DESCRIPTION"].." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 5,
					order 		= 55,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperMessagePool end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlayerWhisperMessagePoolRandomize = {
					name 		= L["MESSAGE_POOL_RANDOMIZE_CAPTION"],
					desc 		= L["MESSAGE_POOL_RANDOMIZE_DESCRIPTION"],
					type 		= "toggle",
					order 		= 56,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperPoolRandomize = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].WhisperPoolRandomize end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				HeaderSound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					type 		= "header",
					order 		= 60, 
					width 		= "full",
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlaySound = {
					name 		= L["PLAY_SOUND_CAPTION"],
					desc 		= L["PLAY_SOUND_DESCRIPTION"],
					type 		= "toggle",
					order 		= 61, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer); end,
				},
				PlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 62, 
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySoundID = val; AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].name = AGZ.db.profile.players.lastUsedPlayer; end,
					get 		= function(info) return AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySoundID end,
					disabled 	= function() return (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= "") and (AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].BelongsTo ~= AGZ.db.profile.players.lastUsedPlayer) or (not AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound); end,
--					disabled 	= function() return not AGZ.db.profile.players[AGZ.db.profile.players.lastUsedPlayer].PlaySound end
				},
			},
		},
		replacement = {
			type="group",
			name=L["TAB_REPLACEMENTS_CAPTION"],
			order=6,
			args={
				Replacements = {
					name 		= L["REPLACEMENTS_CAPTION"],
					desc 		= L["REPLACEMENTS_DESCRIPTION"],
					type 		= "input",
					width 		= "full",
					multiline 	= 22,
					order 		= 5,
					set 		= function(info,val) AGZ.db.profile.replacement.Replacements = val end,
					get 		= function(info) return AGZ.db.profile.replacement.Replacements end
				},
				ReplacementsPreview = {
					name 		= function() return "\124c000064FF"..AGZ_ParseMessage(AGZ.db.profile.replacement.PreviewMessageSample, AchievementName, PlayerName, RealmName).."\124r" end,
					desc 		= "",
					type 		= "description",
					width 		= "full",
					order 		= 30
				},
				ReplacementSample = {
					name 		= L["PREVIEW_MESSAGE_SAMPLE_CAPTION"],
					desc 		= L["PREVIEW_MESSAGE_SAMPLE_DESCRIPTION"],
					type 		= "input",
					width 		= "full",
					order 		= 20,
					set 		= function(info,val) 
									AGZ.db.profile.replacement.PreviewMessageSample = val 
								end,
					get 		= function(info) 
									return AGZ.db.profile.replacement.PreviewMessageSample 
								end
				},
				ReplacementsInTitle = {
					name 		= L["REPLACEMENTS_IN_TITLE_CAPTION"],
					desc 		= L["REPLACEMENTS_IN_TITLE_DESCRIPTION"],
					type 		= "toggle",
					width		= "full",
					order 		= 10,
					set 		= function(info,val) AGZ.db.profile.replacement.InTitle = val end,
					get 		= function(info) return AGZ.db.profile.replacement.InTitle end
				}
			}
		}
	}
}

AGZChatOptionsTable = {
	type = "group",
	name=L["CHAT_CAPTION"],
--	childGroups = "tab",
	args = {
		-- globals = {
			-- type="group",
			-- name=L["TAB_GLOBAL_CAPTION"],
			-- order=1,
			-- args={
				-- ChatEnabled = {
					-- name 		= L["CHAT_ENABLED_CAPTION"],
					-- desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					-- type 		= "toggle",
					-- order 		= 11,
					-- width 		= "double",
					-- set 		= function(info,val) AGZ.db.profile.chat.enabled = val end,
					-- get 		= function(info) return AGZ.db.profile.chat.enabled end
				-- },
			-- },
		-- },
		guild = {
			type="group",
			name=L["TAB_GUILD_CAPTION"],
			order=2,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.guild.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.ChatAlert or not AGZ.db.profile.chat.guild.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.ChatAlert or not AGZ.db.profile.chat.guild.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.guild.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.guild.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.guild.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.guild.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.guild.ReactionDelayRandom end
				},
			},
		},	
		party = {
			type="group",
			name=L["TAB_PARTY_CAPTION"],
			order=3,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.party.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.party.ChatAlert or not AGZ.db.profile.chat.party.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.party.ChatAlert or not AGZ.db.profile.chat.party.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.party.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.party.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.party.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.party.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.party.ReactionDelayRandom end
				},
			},
		},		
		raid = {
			type="group",
			name=L["TAB_RAID_CAPTION"],
			order=4,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.raid.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.ChatAlert or not AGZ.db.profile.chat.raid.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.ChatAlert or not AGZ.db.profile.chat.raid.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.raid.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.raid.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.raid.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.raid.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.raid.ReactionDelayRandom end
				},
			},
		},		
		officer = {
			type="group",
			name=L["TAB_OFFICER_CAPTION"],
			order=5,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.officer.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.ChatAlert or not AGZ.db.profile.chat.officer.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.ChatAlert or not AGZ.db.profile.chat.officer.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.officer.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.officer.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.officer.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.officer.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.officer.ReactionDelayRandom end
				},
			},
		},		
		bgAlliance = {
			type="group",
			name=L["TAB_BGALLIANCE_CAPTION"],
			order=6,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.ChatAlert or not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.ChatAlert or not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgAlliance.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgAlliance.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgAlliance.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgAlliance.ReactionDelayRandom end
				},
			},
		},		
		bgHorde = {
			type="group",
			name=L["TAB_BGHORDE_CAPTION"],
			order=7,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.ChatAlert or not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.ChatAlert or not AGZ.db.profile.chat.bgHorde.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgHorde.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgHorde.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgHorde.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgHorde.ReactionDelayRandom end
				},
			},
		},		
		bgNeutral = {
			type="group",
			name=L["TAB_BGNEUTRAL_CAPTION"],
			order=8,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.ChatAlert or not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.ChatAlert or not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.bgNeutral.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.bgNeutral.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.bgNeutral.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.bgNeutral.ReactionDelayRandom end
				},
			},
		},		
		say = {
			type="group",
			name=L["TAB_SAY_CAPTION"],
			order=9,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.say.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.say.ChatAlert or not AGZ.db.profile.chat.say.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.say.ChatAlert or not AGZ.db.profile.chat.say.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.say.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.say.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.say.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.say.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.say.ReactionDelayRandom end
				},
			},
		},
		emote = {
			type="group",
			name=L["TAB_EMOTE_CAPTION"],
			order=10,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.emote.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.ChatAlert or not AGZ.db.profile.chat.emote.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.ChatAlert or not AGZ.db.profile.chat.emote.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= L["CHAT_MESSAGEPOOL_EMOTE_DESCRIPTION"],
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.emote.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.emote.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.emote.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.emote.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.emote.ReactionDelayRandom end
				},
			},
		},
		whisper = {
			type="group",
			name=L["TAB_WHISPER_CAPTION"],
			order=11,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.ChatAlert or not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.ChatAlert or not AGZ.db.profile.chat.whisper.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.whisper.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.whisper.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.whisper.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.whisper.ReactionDelayRandom end
				},
			},
		},
		monster = {
			type="group",
			name=L["TAB_MONSTER_CAPTION"],
			order=12,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.monster.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.ChatAlert or not AGZ.db.profile.chat.monster.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.ChatAlert or not AGZ.db.profile.chat.monster.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.monster.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.monster.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.monster.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.monster.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.monster.ReactionDelayRandom end
				},
			},
		},
		other = {
			type="group",
			name=L["TAB_OTHER_CAPTION"],
			order=13,
			args={
				ChatEnabled = {
					name 		= L["CHAT_ENABLED_CAPTION"],
					desc 		= L["CHAT_ENABLED_DESCRIPTION"],
					type 		= "toggle",
					order 		= 11,
					width 		= "double",
					set 		= function(info,val) AGZ.db.profile.chat.other.enabled = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.enabled end
				},
				HeaderChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					type 		= "header",
					order 		= 20, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlert = {
					name 		= L["CHATALERT_CAPTION"],
					desc 		= L["CHATALERT_DESCRIPTION"],
					type 		= "toggle",
					order 		= 22, 
					width 		= "normal",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlert = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlert end,
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlertPlaySoundID = {
					name 		= L["PLAY_SOUNDID_CAPTION"],
					desc 		= L["PLAY_SOUNDID_DESCRIPTION"],
					type 		= "select",
					dialogControl = "LSM30_Sound",
					values 		= AceGUIWidgetLSMlists.sound,
					order 		= 24, 
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlertSoundID = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlertSoundID end,
					disabled 	= function() return not AGZ.db.profile.chat.other.ChatAlert or not AGZ.db.profile.chat.other.enabled end
				},
				ChatAlertTimeframe = {
					name 		= L["CHATALERT_TIMEFRAME_CAPTION"],
					desc 		= L["CHATALERT_TIMEFRAME_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 26,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatAlertTimeFrame = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatAlertTimeFrame end,
					disabled 	= function() return not AGZ.db.profile.chat.other.ChatAlert or not AGZ.db.profile.chat.other.enabled end
				},
				HeaderChatPool	= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					type 		= "header",
					order 		= 30, 
					width 		= "full",
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				ChatPool		= {
					name 		= L["CHAT_MESSAGEPOOL_CAPTION"],
					desc 		= function() return L["CHAT_MESSAGEPOOL_DESCRIPTION"] end,
					--.." \124c000064FF"..AGZ_ParseMessage(AGZ_GetRandomMessage(AGZ.db.profile.chat.other.ChatPool, 0), AchievementName, PlayerName, RealmName).."\124r" end,
					type		= "input",
					multiline 	= 10,
					order 		= 31,
					width 		= "full",
					set 		= function(info,val) AGZ.db.profile.chat.other.ChatPool = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ChatPool end,
					disabled 	= function() return not AGZ.db.profile.chat.other.enabled end
				},
				Delay = {
					name 		= L["DELAY_SENDING_CAPTION"],
					desc 		= L["DELAY_SENDING_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 40,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ReactionDelay = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ReactionDelay end
				},
				DelayRandom = {
					name 		= L["DELAY_RANDOM_CAPTION"],
					desc 		= L["DELAY_RANDOM_DESCRIPTION"],
					type 		= "range",
					min 		= 0,
					max 		= 60,
					order 		= 41,
					width 		= "full",
					step 		= 1,
					bigStep 	= 1,
					softMin 	= 0,
					softMax 	= 60,
					set 		= function(info,val) AGZ.db.profile.chat.other.ReactionDelayRandom = val end,
					get 		= function(info) return AGZ.db.profile.chat.other.ReactionDelayRandom end
				}
			}
		}
	}
}


AGZProfilesTable = {
	type = "group",
	name = L["PROFILES"],
	childGroups = "tab",
	args = {
	}
}

function AGZ:SetMinimapTooltip(tt)
	tt:AddLine("AGZ")
	tt:AddLine(tostring(GetAddOnMetadata("AGZ", "Version")))
	return tt
end 

function AGZ:ToggleMinimapButton()
	--self.db.profile.minimap.show = not self.db.profile.minimap.show
	if self.db.profile.minimap.show then
		AGZ_ldbi:Show("AGZ")
	else
		AGZ_ldbi:Hide("AGZ")
	end
end

-------------------------------------------
-- Init                                  --
-------------------------------------------
function AGZ:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("AGZDB", AGZdefaults, true)
	self.db.RegisterCallback(self, "OnProfileChanged", "OnProfileChanged")
	self.db.RegisterCallback(self, "OnProfileCopied", "OnProfileChanged")
	self.db.RegisterCallback(self, "OnProfileReset", "OnProfileChanged")
	
	AGZ_ldbi:Register("AGZ", AGZ_ldb, self.db.profile.minimap)
	
	AGZ_RegisterDefaultSounds()
	
	local PN=UnitName("player").." - "..GetRealmName()
	self.db:SetProfile(PN)
	
	-- register addon options tabs
    LibStub("AceConfig-3.0"):RegisterOptionsTable(L["TAB_GLOBAL_CAPTION"], AGZOptionsTable)
    self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions(L["TAB_GLOBAL_CAPTION"], "AGZ")
    
	if self.db.profile.chat.enabled == true then 
		LibStub("AceConfig-3.0"):RegisterOptionsTable(L["CHAT_CAPTION"], AGZChatOptionsTable)
		self.chatOptionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions(L["CHAT_CAPTION"], L["CHAT_CAPTION"], "AGZ")
	end

    LibStub("AceConfig-3.0"):RegisterOptionsTable(L["PROFILES"], AGZProfilesTable)
    self.profilesFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions(L["PROFILES"],L["PROFILES"], "AGZ")
	
	-- adding profile options tab
	AGZProfilesTable.args.profiles = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)
	
	--register slash command
	self:RegisterChatCommand("agz", "AGZ_Command")

	-- loading defaults
	local welcomeText = string.format(L["WELCOME_MSG"], tostring(GetAddOnMetadata("AGZ", "Version")))
	if self.db.profile.global.WelcomeMessage then AGZ:Print(welcomeText); end

	-- show loginFrame
	--AGZ_showLoginScreen
	

	--Send ComChannelInfo
	C_ChatInfo.SendAddonMessage(ChannelPrefix, welcomeText.." by "..PN)

	-- loading all achievements in a table for faster access
	AGZ_AchievementTable = {}
	AGZ_A_thread = coroutine.create(AGZ_LoadAchievements)
	--AGZ_A_thread = coroutine.create(AGZ_LoadAchievements_New)
	
	--atm it runs fast enough, maybe to be disabled in OnInitialize...
	while coroutine.status(AGZ_A_thread) ~= "dead" do
		coroutine.resume(AGZ_A_thread)
	end
	
	--Update pre 2.0.10
	UpdatePre2010();
	
end 

-------------------------------------------
-- Update settings for versions < 2.0.10 --
-------------------------------------------
function UpdatePre2010()
	--move Messages to MessagePool for UI optimization
	UpdatePre2010_ResetMessage(AGZ.db.profile.messages.guild)
	UpdatePre2010_ResetMessage(AGZ.db.profile.messages.party)
	UpdatePre2010_ResetMessage(AGZ.db.profile.messages.say)
	UpdatePre2010_ResetMessage(AGZ.db.profile.messages.whisper)
end

function UpdatePre2010_ResetMessage(conf)
	if conf.Message ~= nil then
		if conf.Message ~= "" then
			conf.MessagePool = conf.Message.."\n"..conf.MessagePool
			conf.Message = nil
		end
	end
end

-------------------------------------------
-- AddOn Events                          --
-------------------------------------------
function AGZ:OnEnable()
	self:RegisterEvent("CHAT_MSG_GUILD_ACHIEVEMENT")
    self:RegisterEvent("CHAT_MSG_ACHIEVEMENT")
    self:RegisterEvent("CHAT_MSG_PARTY")
	self:RegisterEvent("CHAT_MSG_GUILD")
	self:RegisterEvent("CHAT_MSG_ADDON")
	self:RegisterEvent("GUILD_ROSTER_UPDATE")
	self:RegisterEvent("GROUP_ROSTER_UPDATE")
	self:RegisterEvent("GUILD_EVENT_LOG_UPDATE")
	
	self:RegisterEvent("CHAT_MSG_BG_SYSTEM_ALLIANCE")
	self:RegisterEvent("CHAT_MSG_BG_SYSTEM_HORDE")
	self:RegisterEvent("CHAT_MSG_BG_SYSTEM_NEUTRAL")
	self:RegisterEvent("CHAT_MSG_CHANNEL")
	self:RegisterEvent("CHAT_MSG_EMOTE")
	self:RegisterEvent("CHAT_MSG_RAID")
	self:RegisterEvent("CHAT_MSG_OFFICER")
	self:RegisterEvent("CHAT_MSG_SAY")
	self:RegisterEvent("CHAT_MSG_TEXT_EMOTE")
	self:RegisterEvent("CHAT_MSG_WHISPER")
	self:RegisterEvent("CHAT_MSG_SYSTEM")
	self:RegisterEvent("CHAT_MSG_RESTRICTED")
	self:RegisterEvent("CHAT_MSG_FILTERED")
	self:RegisterEvent("CHAT_MSG_YELL")
	
	self:RegisterEvent("CHAT_MSG_MONSTER_YELL")
	self:RegisterEvent("CHAT_MSG_MONSTER_EMOTE")
	self:RegisterEvent("CHAT_MSG_MONSTER_SAY")
	self:RegisterEvent("CHAT_MSG_MONSTER_PARTY")
	self:RegisterEvent("CHAT_MSG_MONSTER_WHISPER")

	self:RegisterEvent("ZONE_CHANGED")
	self:RegisterEvent("ZONE_CHANGED_INDOORS")
	self:RegisterEvent("ZONE_CHANGED_NEW_AREA")

	-- self:RegisterEvent("PLAYER_LOGIN")	
end

function AGZ:OnDisable()
	self:UnRegisterEvent("CHAT_MSG_GUILD_ACHIEVEMENT")
    self:UnRegisterEvent("CHAT_MSG_ACHIEVEMENT")
    self:UnRegisterEvent("CHAT_MSG_PARTY")
	self:UnRegisterEvent("CHAT_MSG_GUILD")
	self:UnRegisterEvent("CHAT_MSG_ADDON")
	self:UnRegisterEvent("GUILD_ROSTER_UPDATE")
	self:UnRegisterEvent("GROUP_ROSTER_UPDATE")
	self:UnRegisterEvent("GUILD_EVENT_LOG_UPDATE")

	self:UnRegisterEvent("CHAT_MSG_BG_SYSTEM_ALLIANCE")
	self:UnRegisterEvent("CHAT_MSG_BG_SYSTEM_HORDE")
	self:UnRegisterEvent("CHAT_MSG_BG_SYSTEM_NEUTRAL")
	self:UnRegisterEvent("CHAT_MSG_CHANNEL")
	self:UnRegisterEvent("CHAT_MSG_EMOTE")
	self:UnRegisterEvent("CHAT_MSG_RAID")
	self:UnRegisterEvent("CHAT_MSG_OFFICER")
	self:UnRegisterEvent("CHAT_MSG_SAY")
	self:UnRegisterEvent("CHAT_MSG_TEXT_EMOTE")
	self:UnRegisterEvent("CHAT_MSG_WHISPER")
	self:UnRegisterEvent("CHAT_MSG_SYSTEM")
	self:UnRegisterEvent("CHAT_MSG_RESTRICTED")
	self:UnRegisterEvent("CHAT_MSG_FILTERED")
	self:UnRegisterEvent("CHAT_MSG_YELL")
	
	self:UnRegisterEvent("CHAT_MSG_MONSTER_YELL")
	self:UnRegisterEvent("CHAT_MSG_MONSTER_EMOTE")
	self:UnRegisterEvent("CHAT_MSG_MONSTER_SAY")
	self:UnRegisterEvent("CHAT_MSG_MONSTER_PARTY")
	self:UnRegisterEvent("CHAT_MSG_MONSTER_WHISPER")

	self:UnRegisterEvent("ZONE_CHANGED")
	self:UnRegisterEvent("ZONE_CHANGED_INDOORS")
	self:UnRegisterEvent("ZONE_CHANGED_NEW_AREA")

	-- self:UnRegisterEvent("PLAYER_LOGIN")	
end

function AGZ:OnProfileChanged(event, database, newProfileKey)

end

-------------------------------------------
-- Game Events                           --
-------------------------------------------
function AGZ:WHO_LIST_UPDATE()
	local name, guild, level, race, class, zone, classFileName, sex = GetWhoInfo(index)
	AGZ_Debug("WHO_LIST_UPDATE: name/guild/level/race/class"..name "/"..guild.."/"..level.."/"..race.."/"..class)
end

function AGZ:ZONE_CHANGED()
--	AGZ_Debug("----------------------------------------------");
--	AGZ_Debug("ZONE_CHANGED fired")
	AGZ_ZoneChanged()
end

function AGZ:ZONE_CHANGED_INDOORS()
--	AGZ_Debug("----------------------------------------------");
--	AGZ_Debug("ZONE_CHANGED_INDOORS fired")
	AGZ_ZoneChanged()
end

function AGZ:ZONE_CHANGED_NEW_AREA()
--	AGZ_Debug("----------------------------------------------");
--	AGZ_Debug("ZONE_CHANGED_NEW_AREA fired")
	AGZ_ZoneChanged()
end

-- function AGZ:PLAYER_LOGIN()
	-- MyLogin = time()
-- end

function AGZ:CHAT_MSG_ADDON()


end

function AGZ:CHAT_MSG_ADDON_LOGGED(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg1 (prefix) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg2 (text) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg3 (channel) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg4 (sender) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg6 (zoneChannelID) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg7 (localID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg8 (name) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_ADDON_LOGGED - arg9 (instanceID) = "..tostring(arg9));
--]====]	


end

function AGZ:CHAT_MSG_BG_SYSTEM_ALLIANCE(event, arg1)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_ALLIANCE - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_ALLIANCE - arg1 (message) = "..tostring(arg1));
--]====]	

	local prof = AGZ.db.profile.chat.bgAlliance
	AGZ_ChatAlert(prof)
		
	local Reaction = AGZ_ChatFilter(prof, "BG_ALLIANCE", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"RAID"); end)
	end
end

function AGZ:CHAT_MSG_BG_SYSTEM_HORDE(event, arg1)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_HORDE - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_HORDE - arg1 (message) = "..tostring(arg1));
--]====]	

	local prof = AGZ.db.profile.chat.bgHorde
	AGZ_ChatAlert(prof)
		
	local Reaction = AGZ_ChatFilter(prof, "BG_HORDE", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"RAID"); end)
	end
end

function AGZ:CHAT_MSG_BG_SYSTEM_NEUTRAL(event, arg1)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_NEUTRAL - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_BG_SYSTEM_NEUTRAL - arg1 (message) = "..tostring(arg1));
--]====]	

	local prof = AGZ.db.profile.chat.bgNeutral
	AGZ_ChatAlert(prof)
		
	local Reaction = AGZ_ChatFilter(prof, "BG_NEUTRAL", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"RAID"); end)
	end
end

function AGZ:GUILD_EVENT_LOG_UPDATE(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - event = "..tostring(event));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("GUILD_EVENT_LOG_UPDATE - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

end

function AGZ:CHAT_MSG_RAID(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_RAID - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_RAID - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_RAID - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_RAID - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_RAID - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_RAID - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	local prof = AGZ.db.profile.chat.raid
	AGZ_ChatAlert(prof)

	local Reaction = AGZ_ChatFilter(prof, "RAID", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"RAID"); end)
	end

end

function AGZ:CHAT_MSG_OFFICER(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_OFFICER - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_OFFICER - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_OFFICER - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_OFFICER - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_OFFICER - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_OFFICER - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	local prof = AGZ.db.profile.chat.officer
	AGZ_ChatAlert(prof)

	local Reaction = AGZ_ChatFilter(prof, "OFFICER", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"OFFICER"); end)
	end
end

function AGZ:CHAT_MSG_SAY(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_SAY - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_SAY - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_SAY - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_SAY - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_SAY - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_SAY - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	local prof = AGZ.db.profile.chat.say
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "SAY", arg1)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"SAY"); end)
	end
end

function AGZ:CHAT_MSG_YELL(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_YELL - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_YELL - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_YELL - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_YELL - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_YELL - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_YELL - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

end

function AGZ:CHAT_MSG_MONSTER_EMOTE(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_MONSTER_EMOTE - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	local prof = AGZ.db.profile.chat.monster
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "MONSTER", arg2.." "..arg1)
	if Reaction ~= nil then
		local msg = AGZ_ParseMessage(Reaction, "", arg2, "MONSTER")
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(msg,"MONSTER"); end)
	end
end

function AGZ:CHAT_MSG_MONSTER_YELL(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_MONSTER_YELL - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	local prof = AGZ.db.profile.chat.monster
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "MONSTER", arg2.." "..arg1)
	if Reaction ~= nil then
		local msg = AGZ_ParseMessage(Reaction, "", arg2, "MONSTER")
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(msg,"MONSTER"); end)
	end
end

function AGZ:CHAT_MSG_MONSTER_SAY(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_MONSTER_SAY - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	local prof = AGZ.db.profile.chat.monster
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "MONSTER", arg2.." "..arg1, "", arg2, "")
	if Reaction ~= nil then
		local msg = AGZ_ParseMessage(Reaction, "", arg2, "MONSTER")
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(msg,"MONSTER"); end)
	end
end

function AGZ:CHAT_MSG_MONSTER_PARTY(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_MONSTER_PARTY - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	local prof = AGZ.db.profile.chat.monster
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "MONSTER", arg2.." "..arg1)
	if Reaction ~= nil then
		local msg = AGZ_ParseMessage(Reaction, "", arg2, "MONSTER")
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(msg,"MONSTER"); end)
	end
end

function AGZ:CHAT_MSG_MONSTER_WHISPER(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_MONSTER_WHISPER - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	local prof = AGZ.db.profile.chat.monster
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "MONSTER", arg2.." "..arg1)
	if Reaction ~= nil then
		local msg = AGZ_ParseMessage(Reaction, "", arg2, "MONSTER")
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(msg,"MONSTER"); end)
	end
end

function AGZ:CHAT_MSG_RESTRICTED(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_RESTRICTED - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_RESTRICTED - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
end

function AGZ:CHAT_MSG_FILTERED(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_FILTERED - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_FILTERED - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_FILTERED - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_FILTERED - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_FILTERED - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_FILTERED - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_FILTERED - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_FILTERED - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_FILTERED - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_FILTERED - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_FILTERED - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_FILTERED - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
end

function AGZ:CHAT_MSG_EMOTE(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_EMOTE - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_EMOTE - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_EMOTE - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_EMOTE - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_EMOTE - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	if tostring(arg2) == PlayerName then	
		LastOwnEmoteTS = time();
		return;
	end
	if (LastOwnEmoteTS + DefaultEmoteBlockingSeconds > time()) then return end
	
	local prof = AGZ.db.profile.chat.emote
	AGZ_ChatAlert(prof)
	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	local Reaction = AGZ_ChatFilter(prof, "EMOTE", arg1, PlayerName, RealmName)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		--http://wowwiki.wikia.com/wiki/EmoteToken
		C_Timer.After(delay, function() DoEmote(string.upper(Reaction), PlayerName); end)
	end
end

function AGZ:CHAT_MSG_TEXT_EMOTE(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_TEXT_EMOTE - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_TEXT_EMOTE - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_TEXT_EMOTE - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_TEXT_EMOTE - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_TEXT_EMOTE - arg12 (sender GUID) = "..tostring(arg12));
--]====]	
	
	if (tostring(arg2) == PlayerName) then	
		LastOwnEmoteTS = time()
		return
	end
	if (LastOwnEmoteTS + DefaultEmoteBlockingSeconds > time()) then return end
	
	local prof = AGZ.db.profile.chat.emote
	AGZ_ChatAlert(prof)
	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	local Reaction = AGZ_ChatFilter(prof, "EMOTE", arg1, PlayerName, RealmName)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		--http://wowwiki.wikia.com/wiki/EmoteToken
		C_Timer.After(delay, function() DoEmote(string.upper(Reaction), PlayerName); end)
	end
end

function AGZ:CHAT_MSG_WHISPER(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_WHISPER - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_WHISPER - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_WHISPER - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_WHISPER - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_WHISPER - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_WHISPER - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_WHISPER - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_WHISPER - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_WHISPER - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_WHISPER - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	local prof = AGZ.db.profile.chat.whisper
	AGZ_ChatAlert(prof)
	local Reaction = AGZ_ChatFilter(prof, "WHISPER", arg1, PlayerName, RealmName)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"WHISPER",nil,arg2); end)
	end
end

function AGZ:CHAT_MSG_SYSTEM(event, arg1)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_SYSTEM - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_SYSTEM - arg1 (message) = "..tostring(arg1));
--]====]	

	if (arg1 == nil) then return end

	PName = string.match(arg1,"%[.*%]")
	if PName == nil then PName = string.match(arg1,"%S+",1); end
	if PName ~= nil then 
		PName = string.gsub(string.gsub(PName,"%[",""),"%]","")
		if string.find(PName, "-", 2, true) == nil then
			PlayerName = PName
			RealmName = GetRealmName()
			PName = PlayerName.."-"..RealmName
		else
			PlayerName, RealmName = AGZ_SplitPlayerName(PName)
		end
	end
		
	if (PName == nil) then return end
	AGZ_Debug("CHAT_MSG_SYSTEM - PName = '"..tostring(PName).."'");
	local profP = AGZ.db.profile.players[AGZ_GetMainProfile(PName)]
	if profP == nil then return end
	AGZ_Debug("CHAT_MSG_SYSTEM - MainProfile = '"..tostring(profP.name).."'");

	if string.find(arg1, L["GUILD_NEW_MEMBER_TRIGGER"]) ~= nil then
		AGZ_Debug("CHAT_MSG_SYSTEM - Player joined guild = "..tostring(PlayerName));
		local profG = AGZ.db.profile.messages.guild
		--AGZ_SendChatMessage(profG.NewMemberWelcomeMessage, "GUILD")
		local jPlayerName = PlayerName
		local jRealmName = RealmName
		C_Timer.After((profG.NewMemberDelay), function() AGZ_SendChatMessage(AGZ_ParseMessage(AGZ.db.profile.messages.guild.NewMemberWelcomeMessage, AchievementName, jPlayerName, jRealmName),"GUILD"); end)
	end 
	
	if string.find(arg1, L["LOGIN"]) ~= nil then
		AGZ_Debug("CHAT_MSG_SYSTEM - Login Player = "..tostring(PName));
		
		AGZ_Debug("CHAT_MSG_SYSTEM - Last known login = "..AGZ_TimeStampAsString(profP.LoginTS));
		if time() > profP.LoginTS then profP.LoginTS=time(); end
		
	elseif string.find(arg1, L["LOGOUT"]) ~= nil then
		AGZ_Debug("CHAT_MSG_SYSTEM - Logout Player = "..tostring(PName));
		profP.LogoutTS=time()
	end
end

function AGZ:CHAT_MSG_CHANNEL(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_CHANNEL - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg4 (channel name with number) = "..tostring(arg4));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg5 (target) = "..tostring(arg5));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg6 (flag) = "..tostring(arg6));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg7 (zone ID) = "..tostring(arg7));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg8 (channel number) = "..tostring(arg8));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg9 (channel name) = "..tostring(arg9));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_CHANNEL - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	if (arg1 == nil) or (arg2 == nil) then return end

	local profG = AGZ.db.profile.messages.guild

	if (profG.RespondToGzTrigger == nil) or (profG.ChatChannelTrigger == nil) then return end

	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	
	if not AGZ_IsAchievement(AchievementName) then return; end

	if (not AGZ_IsMe(PlayerName, RealmName)) then
		if (profG.ChatChannel == true) then
			AGZ_Debug("CHAT_MSG_CHANNEL - check for chat channel triggers");
			AGZ_Debug("CHAT_MSG_CHANNEL - Guild_ChatChannelTrigger = "..tostring(profG.ChatChannelTrigger));
			local i = 0
			local found = false
			for word in (profG.ChatChannelTrigger.."\n"):gmatch("([^\n]*)\n") do 
				AGZ_Debug("CHAT_MSG_CHANNEL - defined trigger = "..word);
				AGZ_Debug("CHAT_MSG_CHANNEL - check trigger = "..tostring(string.find(arg1,word,1,true)));
				if string.find(arg1,word,1,true) ~= nil then 
					AGZ_Debug("CHAT_MSG_CHANNEL - found trigger = "..word);
					if string.trim(profG.ChatChannelName) ~= "" then
						AGZ_Debug("CHAT_MSG_CHANNEL - checking for optional channel name/number: "..profG.ChatChannelName);
						local cn = string.lower(string.trim(profG.ChatChannelName))
						if (string.lower(arg4) == cn) or (string.lower(arg8) == cn) or (string.lower(arg9) == cn) then
							AGZ_Debug("CHAT_MSG_CHANNEL - optional channel name/number found");
							found = true
							break
						end
						AGZ_Debug("CHAT_MSG_CHANNEL - channel name/number: no hit");
					else
						found = true
						break
					end
				end
			end
			
			if found == true then
				AGZ_Debug("CHAT_MSG_CHANNEL - event found, running CHAT_MSG_GUILD_ACHIEVEMENT eventhandler now");
				AGZ:CHAT_MSG_GUILD_ACHIEVEMENT("CHAT_MSG_GUILD_ACHIEVEMENT",arg1,PlayerName);
			else
				AGZ_Debug("CHAT_MSG_CHANNEL - event or channel not valid");
			end 
		end
	end
end

function AGZ:CHAT_MSG_GUILD(event, arg1, arg2)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_GUILD - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_GUILD - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_GUILD - arg2 (author) = "..tostring(arg2));
--]====]	
	if (arg1 == nil) or (arg2 == nil) then return end

	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)

	if not AGZ_IsMe(PlayerName, RealmName) then 
		local profCG = AGZ.db.profile.chat.guild
		AGZ_ChatAlert(profCG)
		
		local Reaction = AGZ_ChatFilter(profCG, "GUILD", arg1, PlayerName, RealmName)
		if Reaction ~= nil then
			local delay = profCG.ReactionDelay + math.random(0,profCG.ReactionDelayRandom)
			C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"GUILD"); end)
		end
	else
		return
	end
	
	local profG = AGZ.db.profile.messages.guild
	if ((profG.RespondToGzTrigger == nil) or (profG.ChatChannelTrigger == nil)) and (profG.Welcome == false) then return end
	
	local PName = PlayerName.."-"..RealmName
	local profP = AGZ.db.profile.players[PName]

	-- local profM = AGZ_GetMainProfile(PName)
	-- AGZ_Debug("CHAT_MSG_GUILD - using profile: "..tostring(profM));
	-- profP = AGZ.db.profile.players[profM]; 
	PlayerName, RealmName = AGZ_SplitPlayerName(profP.name)
	if (profG.Welcome == true) and (not AGZ.db.profile.global.AFKDetection or (AGZ.db.profile.global.AFKDetection and not UnitIsAFK("player"))) then
		--if MyLogin + profG.WelcomeTimeframe > time() then 
		if MyLogin + 15 > time() then 
			profP.LoginTS = AGZ_GetMidnight(profG.WelcomeOffsetTime) 
			AGZ_Debug("CHAT_MSG_GUILD - LoginTS set to next day, because of own login.");
		end 
		AGZ_Debug("CHAT_MSG_GUILD - check if in time (TS+TimeFrame/now) = "..AGZ_TimeStampAsString(profG.WelcomeTimeframe + profP.LoginTS).." > "..AGZ_TimeStampAsString(time()));
		if (profG.WelcomeTimeframe + profP.LoginTS > time()) and (profP.LoginTS ~= AGZ_GetMidnight(profG.WelcomeOffsetTime))then
			for word in (profG.WelcomeTrigger..";"):gmatch("([^;]*);") do 
				AGZ_Debug("CHAT_MSG_GUILD - defined welcome trigger = "..word);
				AGZ_Debug("CHAT_MSG_GUILD - check welcome trigger found at: "..tostring(string.find(string.lower(arg1),string.lower(word),1,true)));
				if string.find(string.lower(arg1),string.lower(word),1,true) ~= nil then 
					AGZ_Debug("CHAT_MSG_GUILD - found login player welcome message = "..tostring(word));
					C_Timer.After((profG.WelcomeDelay), function() AGZ_SendChatMessage(AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(profG,"WELCOMEPOOL"), AchievementName, PlayerName, RealmName),"GUILD"); end);
					if profG.WelcomeOnceADay == true then 
						-- set Login timestamp to next day
						profP.LoginTS = AGZ_GetMidnight(profG.WelcomeOffsetTime)
					else
						-- to avoid a double welcome message: setting LoginTS to before timestamp+timeframe
						profP.LoginTS = time() - profG.WelcomeTimeframe
					end
					AGZ_Debug("CHAT_MSG_GUILD - LoginTS set to: "..AGZ_TimeStampAsString(profP.LoginTS));
					break
				end
			end
		else
			AGZ_Debug("CHAT_MSG_GUILD - not in time!");
		end
	end
	
	AGZ_Debug("CHAT_MSG_GUILD - Timer = "..tostring(GetTime() - OwnAchievementTS));
	AGZ_Debug("CHAT_MSG_GUILD - ChatChannelTrigger = "..tostring(profG.ChatChannel).."/"..tostring(profG.ChatChannelTrigger));
	if (profG.ChatChannel == true) and (string.find(arg1, profG.ChatChannelTrigger,1,true) ~= nil) then
		AGZ_Debug("CHAT_MSG_GUILD - ChatChannelTrigger found = "..tostring(profG.ChatChannelTrigger));
		AGZ:CHAT_MSG_GUILD_ACHIEVEMENT("CHAT_MSG_GUILD_ACHIEVEMENT",arg1,PlayerName);
	elseif (GetTime() - OwnAchievementTS) < profG.RespondToGzTimeFrame then
		Trigger = false;
		rTrigger = profG.RespondToGzTrigger;
		AGZ_Debug("CHAT_MSG_GUILD - rTrigger = "..tostring(rTrigger));
		if (string.find(rTrigger, ";") == nil) then	
			if string.find(string.lower(arg1),string.lower(rTrigger)) then
				Trigger = true;
				AGZ_Debug("CHAT_MSG_GUILD - trigger found");
			end
		else
			local words = {}
			for word in (rTrigger..";"):gmatch("([^;]*);") do 
				if string.trim(word) ~= "" then table.insert(words, word); end
			end
			for n, word in ipairs(words) do
				AGZ_Debug("CHAT_MSG_GUILD - checking trigger: "..word)
				if string.find(string.lower(arg1),string.lower(word)) then
					Trigger = true;
					AGZ_Debug("CHAT_MSG_GUILD - trigger found");
				end
			end
		end
		if (Trigger == true) then
			AGZ_Debug("CHAT_MSG_GUILD - Trigger true");
			C_Timer.After((profG.RespondToGzDelay), function() AGZ_SendChatMessage(GetAGZMessage("GUILDANSWER"), "GUILD"); end);
			OwnAchievementTS = 0;
		end
	end
end

function AGZ:CHAT_MSG_GUILD_ACHIEVEMENT(event, arg1, arg2)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_GUILD_ACHIEVEMENT - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_GUILD_ACHIEVEMENT - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_GUILD_ACHIEVEMENT - arg2 (author) = "..tostring(arg2));
--]====]	

	if (arg1 == nil) or (arg2 == nil) then return end
	
	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	
	if (AchievementName == nil) or (PlayerName == nil) then return; end
	
	if not AGZ_IsAchievement(AchievementName) then return; end
    
	if (AGZ_IsMe(PlayerName, RealmName)) then AGZ_SetOwnAchievement(); return; end
	
	if (AGZ_CheckIgnoreAchievement(AchievementName)) then return; end
		
	local guildName, guildRankName, guildRankIndex = AGZ_GetPlayerInfos(PlayerName)
	local profG = AGZ.db.profile.messages.guild

	local PName = PlayerName.."-"..RealmName
	local profP = AGZ.db.profile.players[AGZ_GetMainProfile(PName)]
	PlayerName, RealmName = AGZ_SplitPlayerName(profP.name)
	
	if (profG.PlaySound and profG.enabled) or AGZ.db.profile.global.PlaySound then 
		AGZ_PlaySound(profG.PlaySoundID) 
	end

	if (profP.name ~= "") then
		AGZ_DoGz_Player("GUILD", AchievementName, PlayerName, RealmName)
	else
		if (not AGZ_GuildDisabledOverride) then
			AGZ_DoGZ("GUILD", AchievementName, PlayerName, RealmName)
		end
	end
	
end

function AGZ:CHAT_MSG_PARTY(event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_PARTY - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_PARTY - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_PARTY - arg2 (author) = "..tostring(arg2));
	AGZ_Debug("CHAT_MSG_PARTY - arg3 (language) = "..tostring(arg3));
	AGZ_Debug("CHAT_MSG_PARTY - arg11 (chat line ID) = "..tostring(arg11));
	AGZ_Debug("CHAT_MSG_PARTY - arg12 (sender GUID) = "..tostring(arg12));
--]====]	

	if (arg1 == nil) or (arg2 == nil) then return end
	
	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)
	local PName = PlayerName.."-"..RealmName

	if (AGZ_IsMe(PlayerName, RealmName)) then return end
	
	local prof = AGZ.db.profile.chat.party
	AGZ_ChatAlert(prof)
	
	local Reaction = AGZ_ChatFilter(prof, "PARTY", arg1, PlayerName, RealmName)
	if Reaction ~= nil then
		local delay = prof.ReactionDelay + math.random(0,prof.ReactionDelayRandom)
		C_Timer.After(delay, function() AGZ_SendChatMessage(AGZ_ParseMessage(Reaction, AchievementName, PlayerName, RealmName),"PARTY"); end)
	end

	-- ###############################################################################
	-- ####### no chat message fired at party channel by gaining an achievement ######
	-- ###############################################################################

end


function AGZ:CHAT_MSG_ACHIEVEMENT(event, arg1, arg2)
--[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - event = "..tostring(event));
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - arg1 (message) = "..tostring(arg1));
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - arg2 (author) = "..tostring(arg2));
--]====]	
	if (arg1 == nil) or (arg2 == nil) then return end
	
	local PlayerName, RealmName, AchievementName = AGZ_GetAchievementAndPlayer(arg1, arg2)

	if not AGZ_IsAchievement(AchievementName) then return; end

	if (AGZ_IsMe(PlayerName, RealmName)) then AGZ_SetOwnAchievement(); return; end

	if (AGZ_CheckIgnoreAchievement(AchievementName)) then return; end
		
	local profS = AGZ.db.profile.messages.say

	local PName = PlayerName.."-"..RealmName
	local profP = AGZ.db.profile.players[AGZ_GetMainProfile(PName)]
	PlayerName, RealmName = AGZ_SplitPlayerName(profP.name)
	
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - PName: "..tostring(PName))

	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - IsInGroup(): "..tostring(IsInGroup()))
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - UnitInParty("..PName.."): "..tostring(UnitInParty(PName)))
	AGZ_Debug("CHAT_MSG_ACHIEVEMENT - UnitInParty("..PlayerName.."): "..tostring(UnitInParty(PlayerName)))
	AGZ_Debug("IsInRaid(): "..tostring(IsInRaid()))
	--AGZ_Debug("UnitInRaid(PlayerName): "..tostring(UnitInRaid(PName)))
	
	if (IsInGroup() and (UnitInParty(PName) or UnitInParty(PlayerName))) then --or (IsInRaid() and UnitInRaid(PName) ~= nil) then
		local profPa = AGZ.db.profile.messages.party
	
		if (profP.name ~= "") then
			AGZ_DoGz_Player("PARTY", AchievementName, PlayerName, RealmName)
		else
			if (profPa.PlaySound and profPa.enabled) or AGZ.db.profile.global.PlaySound then 
				AGZ_PlaySound(profPa.PlaySoundID) 
			end
			AGZ_DoGZ("PARTY", AchievementName, PlayerName, RealmName)
		end
	else
		if (profP.name ~= "") then
			AGZ_DoGz_Player("SAY", AchievementName, PlayerName, RealmName)
		else
			if (profS.PlaySound and profS.enabled) or AGZ.db.profile.global.PlaySound then 
				AGZ_PlaySound(profS.PlaySoundID) 
			end
			if profS.enabled then
				AGZ_Debug("CHAT_MSG_ACHIEVEMENT - SAY is enabled");
				--guildName, guildRankName, guildRankIndex = AGZ_GetPlayerInfos(PlayerName)
				AGZ_DoGZ("SAY", AchievementName, PlayerName)
			elseif AGZ.db.profile.messages.party.enabled then
				AGZ_Debug("CHAT_MSG_ACHIEVEMENT - PARTY is enabled");
				AGZ_UpdateGroupPlayerInfos()
				if IsInGroup() and GroupPlayerInfos[PlayerName] ~= nil then
					AGZ_Debug("CHAT_MSG_ACHIEVEMENT - in group and player found");
					AGZ_DoGZ("PARTY", AchievementName, PlayerName, RealmName)
				end
			end
		end
	end
end

function AGZ:GUILD_ROSTER_UPDATE(event, arg1, arg2)
--[[==== for Debugging
	AGZ_Debug("----------------------------------------------");
	AGZ_Debug("GUILD_ROSTER_UPDATE - event = "..tostring(event));
	AGZ_Debug("GUILD_ROSTER_UPDATE - arg1 = "..tostring(arg1));
	AGZ_Debug("GUILD_ROSTER_UPDATE - arg2 = "..tostring(arg2));
--]====]]	
	--AGZ_CheckOverride()
	-- loading all known players in a table for faster access
	AGZ_PlayersTable = {}
	--AGZ_GetPlayerNames()
	AGZ_P_thread = coroutine.create(AGZ_GetPlayerNames)
	
	while coroutine.status(AGZ_P_thread) ~= "dead" do
		coroutine.resume(AGZ_P_thread)
	end
	
	AGZ_UpdateGuildPlayerInfos()
end

function AGZ:AGZ_Command(input)
	AGZ_Debug(" input: '"..input.."'")
    if (input == "") or (input == "options") then
        --If the interface options aren't already loaded this doesn't work fully(just opens to non addons tab)
		--but apparently if you call it twice it works fine!
		InterfaceOptionsFrame_OpenToCategory("AGZ") 
		InterfaceOptionsFrame_OpenToCategory("AGZ") 
    elseif (input == "help")then
        AGZ_ShowHelp();
    elseif (input == "login")then
        AGZ_showLoginScreen();
    elseif (input=="debug") then
		if AGZ.db.profile.Debugging then
			AGZ:Print("Debugging "..L["OFF"])
			AGZ.db.profile.Debugging = false
		else
			AGZ:Print("Debugging "..L["ON"])
			AGZ.db.profile.Debugging = true
		end
	elseif (string.upper(input) == "TEST") then
		AGZ_TestFunction(SubCmd);
	elseif (string.find(string.upper(input),"TEST") == 1) then
		AGZ_TestFunction(string.sub(input,5));
    end
end

function AGZ:GROUP_ROSTER_UPDATE(event, arg1, arg2)
--[==== for Debugging
	-- AGZ_Debug("----------------------------------------------");
	-- AGZ_Debug("GROUP_ROSTER_UPDATE - event = "..tostring(event));
	-- AGZ_Debug("GROUP_ROSTER_UPDATE - arg1 = "..tostring(arg1));
	-- AGZ_Debug("GROUP_ROSTER_UPDATE - arg2 = "..tostring(arg2));
--]====]	

	--AGZ_UpdateGroupPlayerInfos()
end

function AGZ_ZoneChanged()
	-- AGZ_Debug("AGZ_ZoneChanged - GetZoneText: "..tostring(GetZoneText()))
	-- AGZ_Debug("AGZ_ZoneChanged - GetRealZoneText: "..tostring(GetRealZoneText()))
	-- AGZ_Debug("AGZ_ZoneChanged - GetMinimapZoneText: "..tostring(GetMinimapZoneText()))
	-- AGZ_Debug("AGZ_ZoneChanged - GetSubZoneText: "..tostring(GetSubZoneText()))
	--AGZ_Debug("AGZ_ZoneChanged - GetZonePVPInfo: "..tostring(GetZonePVPInfo()))

	-- local world, continent, zone = AGZ_GetCurrentWCZ()
	-- AGZ_Debug("AGZ_ZoneChanged - world: "..tostring(world))
	-- AGZ_Debug("AGZ_ZoneChanged - continent: "..tostring(continent))
	-- AGZ_Debug("AGZ_ZoneChanged - zone: "..tostring(zone))
end

function AGZ_IsInZone(sZone)
	AGZ_Debug("AGZ_IsInZone - sZone: "..tostring(sZone))
	-- AGZ_Debug("AGZ_IsInZone - GetZoneText: "..tostring(GetZoneText()))
	-- AGZ_Debug("AGZ_IsInZone - GetRealZoneText: "..tostring(GetRealZoneText()))
	-- AGZ_Debug("AGZ_IsInZone - GetMinimapZoneText: "..tostring(GetMinimapZoneText()))
	-- AGZ_Debug("AGZ_IsInZone - GetSubZoneText: "..tostring(GetSubZoneText()))
	if sZone == nil or sZone == "" then return true; end
	sZone = string.lower(string.trim(sZone))
	if AGZ_FindString(GetZoneText(), sZone) == true or AGZ_FindString(GetRealZoneText(), sZone) == true or AGZ_FindString(GetMinimapZoneText(), sZone) == true or AGZ_FindString(GetSubZoneText(), sZone) == true then
		return true
	end 
	
	-- not found in current zone, checking continent and world
	local world, continent, zone = AGZ_GetCurrentWCZ()
	-- AGZ_Debug("AGZ_IsInZone - world: "..tostring(world))
	-- AGZ_Debug("AGZ_IsInZone - continent: "..tostring(continent))
	-- AGZ_Debug("AGZ_IsInZone - zone: "..tostring(zone))
	
	if zone ~= nil and AGZ_FindString(zone, sZone) == true then return true; end 
	if continent ~= nil and AGZ_FindString(continent, sZone) == true then return true; end 
	if world ~= nil and AGZ_FindString(world, sZone) == true then return true; end 

	local inInstance, InstanceType = IsInInstance()
	-- AGZ_Debug("AGZ_IsInZone - inInstance: "..tostring(inInstance))
	-- AGZ_Debug("AGZ_IsInZone - InstanceType: "..tostring(InstanceType))
	-- AGZ_Debug("AGZ_IsInZone - L[SCENARIO]: "..tostring(L["SCENARIO"]))
	
	if inInstance == true then
		if (sZone == string.lower(L["INSTANCE"]) or sZone == string.lower(L["PARTY"])) and InstanceType == "party" then	return true; end
		
		if sZone == string.lower(L["RAID"]) and InstanceType == "raid" then return true; end
		if (sZone == string.lower(L["PVP"]) or sZone == string.lower(L["BATTLEGROUND"]) or sZone == "bg") and InstanceType == "pvp" then return true; end
		if sZone == string.lower(L["ARENA"]) and InstanceType == "arena" then return true; end
		if sZone == string.lower(L["SCENARIO"]) and InstanceType == "scenario" then return true; end
	end
	
	return false
end 

-------------------------------------------
-- AGZ functions                         --
-------------------------------------------
function AGZ_ChatAlert(profile)
	AGZ_Debug("AGZ_ChatAlert - profile = "..tostring(profile))
	AGZ_Debug("AGZ_ChatAlert - active = "..tostring(profile.ChatAlert));
	if profile.ChatAlert == true then
		AGZ_Debug("AGZ_ChatAlert / check if in time (TS+TimeFrame/now) = "..AGZ_TimeStampAsString(profile.ChatAlertLastTS + profile.ChatAlertTimeFrame).."/"..AGZ_TimeStampAsString(time()));
		if (profile.ChatAlertLastTS + profile.ChatAlertTimeFrame <= time()) or profile.ChatAlertLastTS == 0 then
			profile.ChatAlertLastTS = time()
			AGZ_PlaySound(profile.ChatAlertSoundID)
		end
	end 
end

function AGZ_ChatFilter(profile, source, arg, PlayerName, RealmName)
	if profile.ChatPool ~= "" then
		-- AGZ_Debug("AGZ_ChatFilter - profile = "..tostring(profile))
		-- AGZ_Debug("AGZ_ChatFilter - source = "..tostring(source))
		-- AGZ_Debug("AGZ_ChatFilter - arg = "..tostring(arg))
		-- AGZ_Debug("AGZ_ChatFilter - PlayerName = "..tostring(PlayerName))
		-- AGZ_Debug("AGZ_ChatFilter - RealmName = "..tostring(RealmName))
		
		local i = 0
		local words = {}
		for word in (profile.ChatPool.."\n"):gmatch("([^\n]*)\n") do 
			-- AGZ_Debug("AGZ_ChatFilter - Search "..i+1 .." : "..word);
			if string.trim(word) ~= "" and string.find(word,"=") ~= nil then 
				local Search, Reaction = AGZ_Split(word,"=")
				local fZone = string.match(Search, "%b()")
				-- AGZ_Debug("AGZ_ChatFilter - fZone = "..tostring(fZone));
				if fZone ~= nil and fZone ~= "" then
					fZone = string.sub(fZone, 2, string.len(fZone)-1)
					local repl = "%("..fZone.."%)"
					-- AGZ_Debug("AGZ_ChatFilter - repl = "..tostring(repl));
					Search = string.gsub(Search, repl, "")
				end
				
				--AGZ_Debug("AGZ_ChatFilter - IsInZone = "..tostring(AGZ_IsInZone(fZone)));
				if AGZ_FindString(string.lower(arg),string.lower(Search)) and AGZ_IsInZone(fZone) == true  then 
					local rstyle = string.match(Reaction,"%[.*%]")
					if rstyle==nil then 
						if string.starts(Reaction, "/") then
							AGZ_SendTextToDefaultChannel(AGZ_ParseMessage(Reaction, "", PlayerName, RealmName))
							return nil
						else
							return Reaction
						end
					else
						rstyle = string.lower(rstyle)
					end
					if rstyle == "[tomtom]" then
						local way, x, y, note=AGZ_Split(Reaction," ")
						
						if tonumber(x) == nil or tonumber(y) == nil then
							AGZ:Print("Invalid coords for TomTom (usage: [TomTom] x y note): "..Reaction)
						end
						
						if note ~= nil then	
							note=string.sub(Reaction,string.len(x)+string.len(y)+12)
						else
							note=Search.." added by AGZ at "..tostring(date("%H:%M:%S"))
						end
						-- AGZ_Debug("AGZ_ChatFilter SetWaypoint: "..tostring(note));
						AGZ_SetWayPoint(x, y, note)
						return nil
					-- elseif rstyle == "[default]" then
						-- AGZ_SendTextToDefaultChannel(string.sub(Reaction,10))
						-- return nil
					else
						return Reaction 
					end
				end
			end
			i = i + 1;
		end
	end 
end

function AGZ_SetOwnAchievement()
	AGZ_Debug("AGZ_SetOwnAchievement - Start");
	OwnAchievementTS = GetTime();
	AGZ_Debug("AGZ_SetOwnAchievement - End");
end

function AGZ_GetAchievementAndPlayer(arg1, arg2)
--[==== for Debugging
	AGZ_Debug("AGZ_GetAchievementAndPlayer - arg1 = "..tostring(arg1));
	AGZ_Debug("AGZ_GetAchievementAndPlayer - arg2 = "..tostring(arg2));
--]====]	
	if (arg1 ~= nil) then
		AchievementName = string.match(arg1,"%[.*%]")
		AGZ_Debug("AGZ_GetAchievementAndPlayer - Achievement = "..tostring(AchievementName));
	else 
		AGZ_Debug("AGZ_GetAchievementAndPlayer - no achievement found!");
		-- dummy achievement for preview, etc.
		AchievementName=L["ACHIEVEMENT"]
		return
	end
	if (arg2 ~= nil) then
		if string.find(tostring(arg2),"-") then
			PlayerName, RealmName = AGZ_SplitPlayerName(tostring(arg2),"-")
		else
			PlayerName = tostring(arg2)
			RealmName = GetRealmName()
		end
		AGZ_Debug("AGZ_GetAchievementAndPlayer - PlayerName = "..tostring(PlayerName));
		AGZ_Debug("AGZ_GetAchievementAndPlayer - RealmName = "..tostring(RealmName));
	else 
		AGZ_Debug("AGZ_GetAchievementAndPlayer - no player found")
		return
	end

	return PlayerName, RealmName, AchievementName
	
end

function AGZ_IsAchievement(AName)
	--AGZ_Debug("AGZ_IsAchievement - AName: "..tostring(AName))
	if AName==nil then AName = AchievementName;	end
	AGZ_Debug("AGZ_IsAchievement - AName: "..tostring(AName))

	if AName==nil then 
		AGZ_Debug("AGZ_IsAchievement - no valid achievement found: "..tostring(AName));
		return false
	end
 				
	if AGZ_AchievementTable[AGZ_GetAchievementNamePlain(AName)] == nil then
		AGZ_Debug("AGZ_IsAchievement - no valid achievement found: "..tostring(AGZ_GetAchievementNamePlain(AName)));
		return false
	end
 	
	AGZ_Debug("AGZ_IsAchievement - achievement found: "..tostring(AGZ_GetAchievementNamePlain(AName)));
	return true
end

------------------------------
-- additional AGZ functions
------------------------------
function AGZ_LoadAchievements()
	AGZ_Debug("AGZ_LoadAchievements started")
	
	local count=0
	-- Patch 8.0.1 up to ID 14000 (buffer up to 20000 for patches, etc.) --
	for i=1,20000 do
		local AchievementID, AchievementName = GetAchievementInfo(i)
		if AchievementName ~= nil and tostring(AchievementName) ~= "" then
			local categoryID = GetAchievementCategory(i)
			local Category, CategoryParentid = GetCategoryInfo(categoryID)
			if CategoryParentid > 0 then
				local ParentTitle, ParentParentCategoryID = GetCategoryInfo(CategoryParentid)
				Category = ParentTitle.."\\"..Category
			end
			if Category == nil then Category = "root"; end
			--local AName = string.gsub(AchievementName,"%c","")
			AGZ_AchievementTable[AGZ_GetAchievementNamePlain("["..AchievementName.."]")] = Category
			count = count + 1
		end 		
		if i % 1000 == 0 then coroutine.yield(); end
	end
	AGZ:Print(L["ACHIEVEMENT_COUNT"]..count)
	AGZ_Debug("AGZ_LoadAchievements ended ("..count.." found)")
end 

function AGZ_LoadAchievements_New()
	AGZ_Debug("AGZ_LoadAchievements_New started")

	local catTable = GetCategoryList()
	local count=0
	for i, categoryID in ipairs(catTable) do
		--AGZ_Debug("AGZ_LoadAchievements_New - i/categoryID: "..i.."/"..categoryID)
		local numItems, numCompleted, numUncompleted = GetCategoryNumAchievements(categoryID, true)
		for j=1, numItems do
			local id, name = GetAchievementInfo(categoryID, j)
			if name ~= nil then
				local Category, CategoryParentid = GetCategoryInfo(categoryID)
				if CategoryParentid > 0 then
					local ParentTitle, ParentParentCategoryID = GetCategoryInfo(CategoryParentid)
					Category = ParentTitle.."\\"..Category
				end
				if Category == nil then Category = "root"; end
				--local AName = string.gsub(AchievementName,"%c","")
				AGZ_AchievementTable[AGZ_GetAchievementNamePlain("["..AchievementName.."]")] = Category
				--AGZ_Debug("AGZ_LoadAchievements_New - id/name: "..tostring(id).."/"..tostring(name))
				count = count + 1
			end
			if count % 100 == 0 then coroutine.yield(); end
		end
	end
	AGZ:Print(L["ACHIEVEMENT_COUNT"]..count)
	AGZ_Debug("AGZ_LoadAchievements_New ended ("..count.." found)")
end

function AGZ_getAchievementCategoryByName(AName)
	AGZ_Debug("AGZ_getAchievementCategoryByName - AName: '"..AName.."'")
	if AGZ_AchievementTable[AName] == nil then
		while coroutine.status(AGZ_A_thread) ~= "dead" do
			coroutine.resume(AGZ_A_thread)
		end
	end 
	AGZ_Debug("AGZ_getAchievementCategoryByName "..AName.." / "..tostring(AGZ_AchievementTable[AName]))

	return AGZ_AchievementTable[AName]
end

function AGZ_PlaySound(SoundName)
	if SoundName==nil then SoundName=AGZ.db.profile.global.PlaySoundID end
	AGZ_Debug("AGZ_PlaySound: "..SoundName)
	PlaySoundFile(SharedMedia:Fetch('sound',SoundName), "Master")
end


function AGZ_TestFunction(arg1)
	if arg1 == nil then 
		AchievementName = GetAchievementLink(15)
	else
		AchievementName = arg1
	end

	AGZ_Debug("TEST AGZ_IsInZone: "..tostring(AGZ_IsInZone(string.trim(arg1))))

	--AGZ_Debug("Is in timeframe (23:55-23:30): "..tostring(AGZ_IsInTimeFrame("23:55-23:30")))
	-- local sTime = string.match("Beispieltext von [23:59-23:45]", "%[%d%d%:%d%d%-%d%d%:%d%d%]")
	-- AGZ_Debug("sTime: "..tostring(string.sub(sTime,2,12)))
	-- AGZ_Debug("Is in timeframe (sTime): "..tostring(AGZ_IsInTimeFrame(string.sub(sTime,2,12))))

	AGZ_Debug("TEST GetMidnight: "..tostring(AGZ_TimeStampAsString(AGZ_GetMidnight(AGZ.db.profile.messages.guild.WelcomeOffsetTime))))

	-- AGZ:Print("TomTom "..tostring(TomTom))
	-- if TomTom then
		-- if not TomTom.AddWaypointToCurrentZone then
			-- self:Print("Please update TomTom to the latest version to support setting waypoints")
		-- else
			-- TomTom:AddWaypointToCurrentZone(10, 10, "Test")
		-- end
	-- end
	
	AchievementName = string.match(AchievementName,"%[.*%]")
	
	if not AGZ_IsAchievement() then return; end
	
	if AchievementName == nil then AchievementName = "[unknown achievement name: "..tostring(arg1).."]"; end
	AGZ_Debug("TEST AchievementName: "..tostring(AchievementName))
	-- PlayerName = "TEST_PLAYERNAME_"..tostring(date("%H:%M:%S"))
	-- RealmName = "TEST_REALMNAME"

	PlayerName, RealmName = UnitName("player")
	if(RealmName == nil)then
		RealmName = GetRealmName();
	end
	
	PlayerName = "TEST_"..tostring(date("%H%M%S")).."_"..PlayerName
	
	AGZ_Debug("TEST PlayerName: "..tostring(PlayerName.."-"..RealmName))
	AGZ_Debug("TEST IsMe: "..tostring(AGZ_IsMe(PlayerName, RealmName)))
	
	if AGZ_CheckIgnoreAchievement(AchievementName) then 
		AGZ:Print("Achievement ignored because of ignore keywords: "..AGZ.db.profile.global.IgnoreKeywords)
	else
		AGZ_DoGZ("TEST", AchievementName, PlayerName, RealmName)
--		AGZ_DoGz_Player("TEST", AchievementName, "TEST", RealmName)
	end
end

function AGZ_ShowHelp()
	print(L["HELP_MESSAGE"]);
end

function AGZ_ParseMessage(Message, AchievementName, PlayerName, RealmName)
-- for Debug
	AGZ_Debug("AGZ_ParseMessage Start - Message = "..tostring(Message));
	AGZ_Debug("AGZ_ParseMessage - Achievement = "..tostring(AchievementName));
	AGZ_Debug("AGZ_ParseMessage - PlayerName = "..tostring(PlayerName));
	AGZ_Debug("AGZ_ParseMessage - RealmName = "..tostring(RealmName));
	AGZ_Debug("AGZ_ParseMessage - Replacement in title = "..tostring(AGZ.db.profile.replacement.InTitle));
-- for Debug
	
	if PlayerName==nil then return Message; end
	
	if AchievementName==nil then AchievementName=L["ACHIEVEMENT"]; end

	local fullname = tostring(PlayerName).."-"..tostring(RealmName)
	local profP = AGZ.db.profile.players[AGZ_GetMainProfile(fullname)]
	PlayerName, RealmName = AGZ_SplitPlayerName(profP.name)
	if profP.UseRealname == true and string.trim(profP.Realname) ~= "" then
		Message = string.gsub(Message, "%%n%%" , profP.Realname);
		Message = string.gsub(Message, "%%name%%" , profP.Realname);
	else
		Message = string.gsub(Message, "%%n%%" , PlayerName);
		Message = string.gsub(Message, "%%name%%" , PlayerName);
	end
	Message = string.gsub(Message, "%%r%%" , RealmName);
	Message = string.gsub(Message, "%%realm%%" , RealmName);

	if GuildPlayerInfos[fullname] ~= nil then
		AGZ_Debug("AGZ_ParseMessage - GuildPlayerInfos found for: "..fullname)
		AGZ_Debug("AGZ_ParseMessage - fullName/GuildPlayerInfos[fullname]: "..fullname.."/"..tostring(GuildPlayerInfos[fullname].class))		
		Message = string.gsub(Message, "%%level%%" , tostring(GuildPlayerInfos[fullname].level));
		Message = string.gsub(Message, "%%class%%" , tostring(GuildPlayerInfos[fullname].class));
		Message = string.gsub(Message, "%%rank%%" , tostring(GuildPlayerInfos[fullname].rank));
		Message = string.gsub(Message, "%%zone%%" , tostring(GuildPlayerInfos[fullname].zone));
		Message = string.gsub(Message, "%%achievementPoints%%" , tostring(GuildPlayerInfos[fullname].achievementPoints));
		Message = string.gsub(Message, "%%note%%" , tostring(GuildPlayerInfos[fullname].note));
		Message = string.gsub(Message, "%%officernote%%" , tostring(GuildPlayerInfos[fullname].officernote));
		Message = string.gsub(Message, "%%reputation%%" , tostring(GuildPlayerInfos[fullname].reputation));
	end
	
	if GroupPlayerInfos[PlayerName] ~= nil then
		AGZ_Debug("AGZ_ParseMessage - GroupPlayerInfos found for: "..PlayerName)
		Message = string.gsub(Message, "%%guildName%%" , tostring(GroupPlayerInfos[PlayerName].guildName));
		Message = string.gsub(Message, "%%guildRankName%%" , tostring(GroupPlayerInfos[PlayerName].guildRankName));
		Message = string.gsub(Message, "%%guildRankIndex%%" , tostring(GroupPlayerInfos[PlayerName].guildRankIndex));
		Message = string.gsub(Message, "%%class%%" , tostring(GroupPlayerInfos[PlayerName].class));
		Message = string.gsub(Message, "%%classFilename%%" , tostring(GroupPlayerInfos[PlayerName].classFilename));
		Message = string.gsub(Message, "%%race%%" , tostring(GroupPlayerInfos[PlayerName].race));
		Message = string.gsub(Message, "%%raceFilename%%" , tostring(GroupPlayerInfos[PlayerName].raceFilename));
		Message = string.gsub(Message, "%%sex%%" , tostring(GroupPlayerInfos[PlayerName].sex));
		-- Message = string.gsub(Message, "%%name%%" , tostring(GroupPlayerInfos[PlayerName].name));
		-- Message = string.gsub(Message, "%%realm%%" , tostring(GroupPlayerInfos[PlayerName].realm));
	end
	
	if AGZ.db.profile.replacement.InTitle then
		Message = string.gsub(Message, "%%a%%" , AchievementName);
		Message = string.gsub(Message, "%%achievement%%" , AchievementName);
	end
	
	if AGZ.db.profile.replacement.Replacements ~= nil then
		local i = 0
		local words = {}
		for word in (AGZ.db.profile.replacement.Replacements.."\n"):gmatch("([^\n]*)\n") do 
			--AGZ_Debug("AGZ_ParseMessage - replacement "..i+1 .." : "..word);
			if string.trim(word) ~= "" and string.find(word,"=") ~= nil then 
				Search,Replace=AGZ_Split(word,"=")
				local j = 0
				local subwords = {}
				for subword in (Replace..";"):gmatch("([^;]*);") do 
					--AGZ_Debug("AGZ_ParseMessage - found subword "..j+1 .." = "..subword);
					if string.trim(subword) ~= "" then 
						table.insert(subwords, subword); 
						j = j + 1;
					end
				end
				if j > 0 then
					local k = math.random(j)
					--AGZ_Debug("AGZ_ParseMessage - random value = "..k);
					Replace = subwords[k]
				end
				Message = string.gsub(Message, Search, Replace)
				--AGZ_Debug("AGZ_ParseMessage - message now : "..Message);
			end
			i = i + 1;
		end
		if AGZ.db.profile.replacement.InTitle == false then
			Message = string.gsub(Message, "%%a%%" , AchievementName);
			Message = string.gsub(Message, "%%achievement%%" , AchievementName);
		end
	end
	AGZ_Debug("AGZ_ParseMessage - End Message = "..Message);
	return Message;
end

function AGZ_UpdateGuildPlayerInfos()
	local numGuildMembers, numOnline, numOnlineAndMobile = GetNumGuildMembers()
	--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - numGuildMembers/numOnline/numOnlineAndMobile: "..numGuildMembers.."/"..numOnline.."/"..numOnlineAndMobile)

	for index=1, numGuildMembers do 
		local _fullName, _rank, _rankIndex, _level, _class, _zone, _note, _officernote, _online, _status, _classFileName, _achievementPoints, _achievementRank, _isMobile, _canSoR, _reputation = GetGuildRosterInfo(index)
		local PLoginTS = time()
		--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - fullName"..index.." : ".._fullName)
		--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - fullName_"..index.." / online : ".._fullName.."/"..tostring(_online))
		--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - fullName"..index.." : ".._fullName)
		if (GuildPlayerInfos[_fullName]==nil) and (_online == true) then
				GuildPlayerInfos[_fullName] = {rank=_rank, rankIndex=_rankIndex, level=_level, class=_class, zone=_zone, note=_note, officernote=_officernote, online=_online, status=_status, classFileName=_classFileName, achievementPoints=_achievementPoints, achievementRank=_achievementRank, isMobile=_isMobile, canSoR=_canSoR, reputation=_reputation, LoginTS = PLoginTS}
				--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - added (online): ".._fullName)
				--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - MyLogin: "..AGZ_TimeStampAsString(MyLogin))
				if MyLogin + 30 > time() then
					AGZ.db.profile.players[AGZ_GetMainProfile(_fullName)].LoginTS = AGZ_GetMidnight(AGZ.db.profile.messages.guild.WelcomeOffsetTime)
					--AGZ.db.profile.players[_fullName].LoginTS = AGZ_GetMidnight()
					--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - SetLoginTo: "..AGZ_TimeStampAsString(PLoginTS))
				end
		elseif (GuildPlayerInfos[_fullName] ~= nil) and (GuildPlayerInfos[_fullName].online ~= _online) then
			if _online == true then
				GuildPlayerInfos[_fullName] = {rank=_rank, rankIndex=_rankIndex, level=_level, class=_class, zone=_zone, note=_note, officernote=_officernote, online=_online, status=_status, classFileName=_classFileName, achievementPoints=_achievementPoints, achievementRank=_achievementRank, isMobile=_isMobile, canSoR=_canSoR, reputation=_reputation, LoginTS = PLoginTS}
				--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - added (online): ".._fullName)
				if MyLogin + 30 > time() then
					AGZ.db.profile.players[AGZ_GetMainProfile(_fullName)].LoginTS = AGZ_GetMidnight(AGZ.db.profile.messages.guild.WelcomeOffsetTime)
					--AGZ.db.profile.players[_fullName].LoginTS = AGZ_GetMidnight()
					--AGZ_Debug("AGZ_UpdateGuildPlayerInfos - SetLoginTo: "..AGZ_TimeStampAsString(PLoginTS))
				end
			else
				GuildPlayerInfos[_fullName] = nil
				AGZ_Debug("AGZ_UpdateGuildPlayerInfos - removed (offline): ".._fullName)
			end
		end
	end
end 

function AGZ_UpdateGroupPlayerInfos()
	
	AGZ_Debug("AGZ_UpdateGroupPlayerInfos - Start")
	local plist={}
	if IsInRaid() then
		AGZ_Debug("AGZ_UpdateGroupPlayerInfos - IsInRaid")
		for i=1,40 do
			if (UnitName('raid'..i)) then
				AGZ_Debug("AGZ_UpdateGroupPlayerInfos - Raidmember"..i ..": "..UnitName('raid'..i))
				tinsert(plist,(UnitName('raid'..i)))
			end
		end
	elseif IsInGroup() then
		AGZ_Debug("AGZ_UpdateGroupPlayerInfos - IsInGroup")
		for i=1,4 do
			if (UnitName('party'..i)) then
				AGZ_Debug("AGZ_UpdateGroupPlayerInfos - Partymember"..i ..": "..UnitName('party'..i))
				tinsert(plist,(UnitName('party'..i)))
			end
		end
	end

	for index=1, #GroupPlayerInfos do 
		GroupPlayerInfos[index]=nil
	end
	
	for index=1, #plist do 
		
		local gpi=GroupPlayerInfos[plist[index]]
		local _guildName, _guildRankName, _guildRankIndex = GetGuildInfo(plist[index])
		-- guildName - Name of the character's guild (string)
		-- guildRankName - Name of the character's guild rank (string)
		-- guildRankIndex - Numeric guild rank of the character (0 = guild leader; higher numbers for lower ranks) (number)

		local _class, _classFilename, _race, _raceFilename, _sex, _name, _realm = GetPlayerInfoByGUID(UnitGUID(plist[index]))
		gpi={guildName=_guildName, guildRankName = _guildRankName, guildRankIndex = _guildRankIndex, class=_class, classFilename=_classFilename, race=_race, raceFilename=_raceFilename, sex=_sex, name=_name, realm=_realm}
	
		AGZ_Debug("AGZ_UpdateGroupPlayerInfos - Member ("..tostring(plist[index])..") guildName/guildRankName/guildRankIndex/class/classFilename/race/raceFilename/sex/name/realm: "..tostring(gpi.guildName).."/"..tostring(gpi.guildRankName).."/"..tostring(gpi.guildRankIndex).."/"..tostring(gpi.class).."/"..tostring(gpi.classFilename).."/"..tostring(gpi.race).."/"..tostring(gpi.classFilename).."/"..tostring(gpi.sex).."/"..tostring(gpi.name).."/"..tostring(gpi.realm))		
		-- class - Localized name of the unit's class (string)
		-- classFilename - Non-localized token identifying the unit's class (string)
		-- race - Localized name of the unit's race (string)
		-- raceFilename - Non-localized token identifying the unit's race (string)
		-- sex - Number identifying the unit's gender (number)
			-- 1 - Neuter / Unknown
			-- 2 - Male
			-- 3 - Female
		-- name - Unit's name (string)
		-- realm - Unit's realm (empty string if from the same realm) (string)
	end
	AGZ_Debug("AGZ_UpdateGroupPlayerInfos - End")
end

function AGZ_GetPlayerInfos(PlayerName)
	AGZ_Debug("AGZ_GetPlayerInfos - PlayerName= "..tostring(PlayerName))
	local guildName, guildRankName, guildRankIndex = GetGuildInfo(PlayerName)
	AGZ_Debug("AGZ_GetPlayerInfos - guildName/guildRankName/guildRankIndex: "..tostring(guildName).."/"..tostring(guildRankName).."/"..tostring(guildRankIndex))
	return guildName, guildRankName, guildRankIndex
	-- SetWhoToUI(1)	
	-- SendWho("n-"..PlayerName) 
	-- SetWhoToUI(0)	
end

function AGZ_IsMe(PlayerName, RealmName)
	--AGZ_Debug("AGZ_IsMe - PlayerName= "..tostring(PlayerName))
	--AGZ_Debug("AGZ_IsMe - RealmName= "..tostring(RealmName))
	if RealmName==nil then
		if string.find(PlayerName, "-") ~= nil then
			local PlayerName,RealmName = AGZ_SplitPlayerName(PlayerName) 
		else
			RealmName = GetRealmName()
		end
	end
	local myName, myServer = UnitName("player")
	if(myServer == nil)then
		myServer = GetRealmName();
		--AGZ_Debug("AGZ_IsMe - myServer= "..tostring(myServer))
	end
	name = string.lower(string.gsub(PlayerName,"%s",""))
	server = string.lower(string.gsub(RealmName,"%s",""))
	myName = string.lower(string.gsub(myName,"%s",""))
	myServer = string.lower(string.gsub(myServer,"%s",""))
	--AGZ_Debug("AGZ_IsMe - myName, myServer= "..tostring(myName)..", "..tostring(myServer))
	if(server == nil and name == myName)then
		--AGZ_Debug("AGZ_IsMe: true")
		return true;
	elseif(server ~= nil and name == myName and server == myServer) then
		--AGZ_Debug("AGZ_IsMe: true")
		return true;
	else
		--AGZ_Debug("AGZ_IsMe: false")
		return false;
	end
end

function AGZ_GetRandomizerOffset()
	return math.random(0,AGZ.db.profile.global.DelayRandom);
end

function AGZ_GetAchievementNamePlain(AName)
	--AGZ_Debug("AGZ_GetAchievementNamePlain - AchievementName: "..tostring(AName))
	if AName == nil then 
		AName = string.match(AchievementName,"%[.*%]")
	elseif string.find(AName, "%[") ~= nil then
		AName = string.match(AName,"%[.*%]")
	end
		
	--AGZ_Debug("AGZ_GetAchievementNamePlain - AchievementName: "..AName)
	AName = string.sub(AName,2,string.len(AName)-1)
	AName = string.gsub(AName,"%c","")
	--AGZ_Debug("AGZ_GetAchievementNamePlain - Plain Name: "..AName)
	return AName
end

function AGZ_DoGZ(source, AchievementName, PlayerName, RealmName)
	AGZ_Debug("AGZ_DoGZ - source = "..tostring(source));
	AGZ_Debug("AGZ_DoGZ - AchievementName = "..tostring(AchievementName));
	AGZ_Debug("AGZ_DoGZ - PlayerName = "..tostring(PlayerName));
	AGZ_Debug("AGZ_DoGZ - RealmName = "..tostring(RealmName));

	if((source == "SAY" and AGZ.db.profile.messages.say.enabled) or (source == "GUILD" and AGZ.db.profile.messages.guild.enabled) or (source == "PARTY" and AGZ.db.profile.messages.party.enabled) or (source == "TEST")) or (string.find(source,"MULTI") ~= nil) then
		CurTime=time();
		AGZ_Debug("AGZ_DoGZ - player AFK = "..tostring(UnitIsAFK("player")));
		if not AGZ.db.profile.global.AFKDetection or (AGZ.db.profile.global.AFKDetection and not UnitIsAFK("player")) then 
			
			if AGZ.db.profile.global.SendingBlockedPerPlayer then
				if (BlockedUsersNamesPerLogin[PlayerName]==nil) then BlockedUsersNamesPerLogin[PlayerName] = 0; end
				if AGZ.db.profile.global.SendingBlockedPerLogin and BlockedUsersNamesPerLogin[PlayerName] ~= 0 then
					AGZ_Debug("AGZ_DoGZ - Player blocked per login: "..tostring(BlockedUsersNamesPerLogin[PlayerName]));
					return
				end
				if BlockedUsersNamesPerLogin[PlayerName] + AGZ.db.profile.global.SendingBlocked > CurTime then
					AGZ_Debug("AGZ_DoGZ - Player blocked since last message: "..tostring(BlockedUsersNamesPerLogin[PlayerName]));
					return
				end
				BlockedUsersNamesPerLogin[PlayerName] = CurTime
			end
			
			local isMultiGz = false
			isMultiGz, source = AGZ_MultiGZ(source, AchievementName, PlayerName, RealmName)
			AGZ_Debug("AGZ_DoGZ - isMultiGz, source = "..tostring(isMultiGz).."/"..tostring(source));
			if isMultiGz then return end
			
			if (AGZ_LastMessage == nil) then
				AGZ_LastMessage = 1;
			end
						
			AGZ_Debug("AGZ_DoGZ - last message check = "..AGZ_TimeStampAsString(CurTime - AGZ_LastMessage).." / "..tostring(AGZ.db.profile.global.SendingBlocked));
			if((CurTime - AGZ_LastMessage) > (AGZ.db.profile.global.SendingBlocked)) then
				local offtimer = AGZ.db.profile.global.Delay + AGZ_GetRandomizerOffset();
				local Msg = AGZ_ParseMessage(GetAGZMessage(source), AchievementName, PlayerName, RealmName);
				if (source == "GUILD") then
					curProfile = AGZ.db.profile.messages.guild
					if (curProfile.IgnoreDelay == true) then 
						offtimer = 0; 
					end
				elseif (source == "PARTY") then
					if IsInRaid() then source = "RAID" end
					curProfile = AGZ.db.profile.messages.party
					if (curProfile.IgnoreDelay == true) then 
						offtimer = 0; 
					end
				elseif (source == "SAY") then
					curProfile = AGZ.db.profile.messages.say
					if (curProfile.IgnoreDelay == true) then 
						offtimer = 0; 
					end
				elseif (source == "TEST") then
					curProfile = AGZ.db.profile.messages.test
					Msg = AGZ_ParseMessage("TEST: "..AGZ.db.profile.global.DefaultMessage, AchievementName, PlayerName, RealmName);
					-- AGZ:Print(Msg);
					-- return
				end
				AGZ_Debug("AGZ_DoGZ - offtimer = "..tostring(offtimer));
				if (Msg == "") then Msg = AGZ_ParseMessage(AGZ.db.profile.global.DefaultMessage, AchievementName, PlayerName, RealmName); end
				AGZ_Debug("AGZ_DoGZ - Msg = '"..tostring(Msg).."'");
				
				local player = PlayerName.."-"..RealmName
				AGZ_LastMessage = GetTime();
				if curProfile.WhisperOnly==true and (AGZ_IsInString(curProfile.WhisperToNames, PlayerName, ";")==true or curProfile.WhisperToNames=="") then 
					if(offtimer > 0)then
						C_Timer.After((offtimer), function() SendChatMessage(Msg, "WHISPER", nil, player); end)
					else
						SendChatMessage(Msg, "WHISPER", nil, player)
					end
				else
					if(offtimer > 0)then
						C_Timer.After((offtimer), function() AGZ_SendChatMessage(Msg, source); end)
						if curProfile.WhisperAdditionally==true and (AGZ_IsInString(curProfile.WhisperToNames, PlayerName)==true or curProfile.WhisperToNames=="") then 
							C_Timer.After((offtimer), function() SendChatMessage(Msg, "WHISPER", nil, player); end)
						end
					else
						AGZ_SendChatMessage(Msg, source);
						if curProfile.WhisperAdditionally==true and (AGZ_IsInString(curProfile.WhisperToNames, PlayerName)==true or curProfile.WhisperToNames=="") then 
							SendChatMessage(Msg, "WHISPER", nil, player)
						end
					end
				end
			end
		else
			AGZ_Debug("AGZ_DoGZ - no message sent because AFK check!");
		end
	end
end

function AGZ_DoGz_Player(source, AchievementName, PlayerName, RealmName)
	AGZ_Debug("AGZ_DoGz_Player - source = "..tostring(source));
	AGZ_Debug("AGZ_DoGz_Player - AchievementName = "..tostring(AchievementName));
	AGZ_Debug("AGZ_DoGz_Player - PlayerName = "..tostring(PlayerName));
	AGZ_Debug("AGZ_DoGz_Player - RealmName = "..tostring(RealmName));

	if (AGZ.db.profile.global.AFKDetection==true) and (UnitIsAFK("player")==true) then 
		AGZ_Debug("AGZ_DoGz_Player - no message sent because AFK check!");
		return 
	end

	local player=PlayerName.."-"..RealmName
	local curProfile = AGZ.db.profile.players[AGZ_GetMainProfile(player)]
	PlayerName, RealmName = AGZ_SplitPlayerName(curProfile.name)
	AGZ_Debug("AGZ_DoGz_Player - PlayerProfile = "..tostring(curProfile.name));

	AGZ_Debug("AGZ_DoGz_Player - curProfile.SendingBlocked = "..tostring(curProfile.SendingBlocked));
	AGZ_Debug("AGZ_DoGz_Player - curProfile.lastSendTS = "..AGZ_TimeStampAsString(curProfile.lastSendTS));
	AGZ_Debug("AGZ_DoGz_Player - current time = "..tostring(date("%d.%m.%y %H:%M:%S")));

	local offtimer = AGZ.db.profile.global.Delay + AGZ_GetRandomizerOffset();
	AGZ_Debug("AGZ_DoGZ_Player - offtimer = "..tostring(offtimer));

	if (curProfile.SendingBlocked > 0) or curProfile.SendingBlockedPerLogin then
		if (BlockedUsersNamesPerLogin[PlayerName]==nil) then BlockedUsersNamesPerLogin[PlayerName] = 0; end
		if curProfile.SendingBlockedPerLogin and BlockedUsersNamesPerLogin[PlayerName] ~= 0 then
			AGZ_Debug("AGZ_DoGz_Player - Player blocked per login: "..tostring(BlockedUsersNamesPerLogin[PlayerName]));
			return
		end
		if curProfile.lastSendTS + curProfile.SendingBlocked > time() then
			AGZ_Debug("AGZ_DoGz_Player - Player blocked since last message: "..AGZ_TimeStampAsString(curProfile.lastSendTS));
			return
		end
		BlockedUsersNamesPerLogin[PlayerName] = time()
	end

	if curProfile.PlaySound then AGZ_PlaySound(curProfile.PlaySoundID); end

	if curProfile.WhisperOnly or curProfile.WhisperAdditionally then
		local Msg = AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(curProfile, "PLAYERWHISPER"), AchievementName, PlayerName, RealmName);
		AGZ_Debug("AGZ_DoGz_Player - Whisper Msg: "..tostring(Msg));
		SendChatMessage(Msg, "WHISPER", nil, player)
	end

	local isMultiGz = false
	isMultiGz, source = AGZ_MultiGZ(source, AchievementName, PlayerName, RealmName)
	AGZ_Debug("AGZ_DoGZ - isMultiGz, source = "..tostring(isMultiGz).."/"..tostring(source));
	if isMultiGz then return end

	if not curProfile.WhisperOnly then
		local Msg = AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(curProfile, "PLAYERMESSAGE"), AchievementName, PlayerName, RealmName);
		-- if Msg == "" then
			-- Msg = AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(curProfile, source), AchievementName, PlayerName, RealmName);
		-- end
		AGZ_Debug("AGZ_DoGz_Player - Msg: "..tostring(Msg));
		C_Timer.After((offtimer), function() AGZ_SendChatMessage(Msg, source); end)
	end
	curProfile.lastSendTS = time()

end

function AGZ_MultiGZ(source, AchievementName, PlayerName, RealmName)
	AGZ_Debug("AGZ_MultiGZ source = "..tostring(source));
	AGZ_Debug("AGZ_MultiGZ - AchievementName = "..tostring(AchievementName));
	AGZ_Debug("AGZ_MultiGZ - PlayerName = "..tostring(PlayerName));
	AGZ_Debug("AGZ_MultiGZ - RealmName = "..tostring(RealmName));

	local curProfile = nil
	if string.find(source,"GUILD") ~= nil then curProfile = AGZ.db.profile.messages.guild
	elseif string.find(source,"PARTY") ~= nil then curProfile = AGZ.db.profile.messages.party
	elseif string.find(source,"SAY") ~= nil then curProfile = AGZ.db.profile.messages.say
	elseif string.find(source,"TEST") ~= nil then curProfile = AGZ.db.profile.messages.test
	end
	
	AGZ_Debug("AGZ_MultiGZ - MultiGz active: "..tostring(curProfile.MultiGZ));
	if curProfile.MultiGZ == false then
		return false, source 
	end
	
	local player = PlayerName.."-"..RealmName
	
	if string.find(source,"_MULTI") == nil then
		if LastAchievementsPlayers[player] == nil then
			LastAchievementsPlayers[player] = tostring(AGZ_GetAchievementNamePlain(AchievementName))
		else
			LastAchievementsPlayers[player] = tostring(AGZ_GetAchievementNamePlain(AchievementName)).."|"..LastAchievementsPlayers[player]
		end
		AGZ_Debug("AGZ_MultiGZ - no gz send! Just storing player "..player.." for multiple gz!");
		AGZ_Debug("AGZ_MultiGZ - multiple gz last timestamp = "..AGZ_TimeStampAsString(LastAchievementsTS));
		local CurTime = time()
		
		if (CurTime - LastAchievementsTS) > curProfile.MultiGZTimeframe then
			AGZ_Debug("AGZ_MultiGZ - calling delayed gz check for "..tostring(curProfile.MultiGZTimeframe + 1).." sec.");
			C_Timer.After((curProfile.MultiGZTimeframe + 1), function() AGZ_DoGZ(source.."_MULTI", AchievementName, PlayerName, RealmName); end)
			LastAchievementsTS = time()
		end
		return true, source
	else
		source = string.gsub(source,"_MULTI","")
		AGZ_Debug("AGZ_MultiGZ - enter multi loop");
		
		local players = ""
		local i = 0
		local offtimer = AGZ.db.profile.global.Delay + AGZ_GetRandomizerOffset();
		if (curProfile.IgnoreDelay == true) then offtimer = 0; end
		for pl, ac in pairs(LastAchievementsPlayers) do
			if pl ~= "" then 
				AGZ_Debug("AGZ_MultiGZ Player = "..tostring(pl));
				pn, pr = AGZ_SplitPlayerName(pl)
				local prn = pn
				if AGZ.db.profile.players[pl].UseRealname == true then
					prn = AGZ.db.profile.players[pl].Realname
				end 
				if curProfile.WhisperOnly==true and (AGZ_IsInString(curProfile.WhisperToNames, pn)==true or curProfile.WhisperToNames=="") then 
					AGZ_Debug("AGZ_MultiGZ - only sending whisper message");
					Msg = AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(curProfile, "MESSAGEPOOL"), AchievementName, prn, pr);
					if(offtimer > 0)then
						C_Timer.After((offtimer), function() SendChatMessage(Msg, "WHISPER", nil, pn); end)
					else
						SendChatMessage(Msg, "WHISPER", nil, pn)
					end
				else
					AGZ_Debug("AGZ_MultiGZ - adding name for multiGZ");
					if players=="" then 
						players = prn
					else
						players = string.gsub(players, " "..L["AND"].." ",", ", 1, true).." "..L["AND"].." "..prn
					end 
					AGZ_Debug("AGZ_MultiGZ - players string = "..players);
					--players = string.trim(players..pn)
					i = i + 1
					if curProfile.WhisperAdditionally==true and (AGZ_IsInString(curProfile.WhisperToNames, pn)==true or curProfile.WhisperToNames=="") then 
						AGZ_Debug("AGZ_MultiGZ - additionally sending whisper message");
						Msg = AGZ_ParseMessage(AGZ_GetRandomMessageFromProfile(curProfile, "MESSAGEPOOL"), AchievementName, prn, pr);
						if(offtimer > 0)then
							C_Timer.After((offtimer), function() SendChatMessage(Msg, "WHISPER", nil, pn); end)
						else
							SendChatMessage(Msg, "WHISPER", nil, pn)
						end
					end
				end
			end
		end
		LastAchievementsPlayers = {}
		AGZ_Debug("AGZ_MultiGZ Players for MultiGZ: "..tostring(i));
		if i > 1 then
			Msg = AGZ_GetRandomMessageFromProfile(curProfile, "MULTIGZPOOL") 
			Msg = AGZ_ParseMessage(string.gsub(Msg,"%%n%%",players), AchievementName, PlayerName, RealmName);
			--AGZ_SendChatMessage(Msg, source)
			AGZ_LastMessage = time();
			
			if(offtimer > 0)then
				C_Timer.After((offtimer), function() AGZ_SendChatMessage(Msg, source); end)
			else
				AGZ_SendChatMessage(Msg, source);
			end
			return true, source
		end
		return false, source
	end
end

function AGZ_SendChatMessage(Msg, MType, LanguageIndex, Channel)
	AGZ_Debug("AGZ_SendChatMessage Start: "..MType);
	
	if MType == "TEST" then
		AGZ:Print(Msg)
	elseif MType == "OTHER" or MType == "MONSTER" then
		if string.starts(string.upper(Msg),"/WAY") then
			local way, x, y, note=AGZ_Split(Msg," ")
			if note ~= nil then	
				note=string.sub(Msg,string.len(x)+string.len(y)+8)
			end
			AGZ_Debug("AGZ_SendChatMessage SetWaypoint: "..tostring(note));
			AGZ_SetWayPoint(x, y, note)
		end
	else
		if AGZ.db.profile.global.PrefixActive == true then 
			if AGZ.db.profile.global.PrefixAsSuffix == true then
				Msg = Msg.." "..AGZ.db.profile.global.Prefix
			else
				Msg = AGZ.db.profile.global.Prefix.." "..Msg
			end 
		end 
		SendChatMessage(Msg, MType);
	end
	
	AGZ_Debug("AGZ_SendChatMessage End: "..MType);
end

function GetAGZMessage(MType)
	AGZ_Debug("GetAGZMessage Start: "..MType);
	local conf = ""
	if MType == "GUILD" or MType == "GUILDANSWER" then
		conf = AGZ.db.profile.messages.guild
	elseif MType == "PARTY" then
		conf = AGZ.db.profile.messages.party
	elseif MType == "SAY" then
		conf = AGZ.db.profile.messages.say
	elseif MType == "WHISPER" then
		conf = AGZ.db.profile.messages.whisper
	else
		return ""
	end
	local msg = ""
	if string.find(MType, "ANSWER") == nil then
		if conf.MessagePool ~= nil then
			msg = AGZ_GetRandomMessageFromProfile(conf, "MESSAGEPOOL")
		end
	else
		AGZ_Debug("GetAGZMessage response");
		msg = ""
		if conf.RespondToGzPool ~= nil then
			msg = AGZ_GetRandomMessageFromProfile(conf, "RespondToGzPool")
		end
	end
	AGZ_Debug("GetAGZMessage End - msg = "..msg);
	return msg
end

function AGZ_GetRandomMessageFromProfile(curProfile, Type)
	AGZ_Debug("AGZ_GetRandomMessageFromProfile - Type = "..Type);
	if curProfile==nil then return; end
	
	local msg=""
	if Type=="MESSAGEPOOL" or Type=="PLAYERMESSAGE" then
		if curProfile.MessagePoolRandomize then curProfile.LastMessagePool = -1; end
		msg, curProfile.LastMessagePool = AGZ_GetRandomMessage(curProfile.MessagePool, curProfile.LastMessagePool+1)
	elseif Type=="MULTIGZPOOL" then
		if curProfile.MultiGZRandomize then curProfile.LastMultiGZMessage = -1; end
		msg, curProfile.LastMultiGZMessage = AGZ_GetRandomMessage(curProfile.MultiGZMessage, curProfile.LastMultiGZMessage+1)
	elseif Type=="RespondToGzPool" then
		if curProfile.RespondToGzPoolRandomize then curProfile.LastRespondToGzPool = -1; end
		msg, curProfile.LastRespondToGzPool = AGZ_GetRandomMessage(curProfile.RespondToGzPool, curProfile.LastRespondToGzPool+1)
	elseif Type=="WELCOMEPOOL" then
		if curProfile.WelcomePoolRandomize then curProfile.LastWelcomePool = -1; end
		msg, curProfile.LastWelcomePool = AGZ_GetRandomMessage(curProfile.WelcomePool, curProfile.LastWelcomePool+1)
	elseif Type=="PLAYERWHISPER" then
		if curProfile.WhisperPoolRandomize then curProfile.LastWhisperMessagePool = -1; end
		msg, curProfile.LastWhisperMessagePool = AGZ_GetRandomMessage(curProfile.WhisperMessagePool, curProfile.LastWhisperMessagePool+1)
	end
	AGZ_Debug("AGZ_GetRandomMessageFromProfile - msg = "..msg);
	return msg
end 

function AGZ_GetRandomMessage(Messages, MessageNumber)
	AGZ_Debug("AGZ_GetRandomMessage - Messages = "..tostring(Messages));
	AGZ_Debug("AGZ_GetRandomMessage - MessageNumber = "..tostring(MessageNumber));
	local msg = ""
	if Messages == nil then 
		return msg
	end
	local i = 0
	local words = {}
	for word in (Messages.."\n"):gmatch("([^\n]*)\n") do 
		--AGZ_Debug("AGZ_GetRandomMessage - found word "..i+1 .." = "..word);
		if string.trim(word) ~= "" then 
			local sTime = string.match(word, "%[%d%d%:%d%d%-%d%d%:%d%d%]")
			--AGZ_Debug("AGZ_GetRandomMessage - TimeFrame found: "..tostring(sTime));
			if sTime == nil then 
				AGZ_Debug("AGZ_GetRandomMessage - add to table: "..word);
				table.insert(words, word); 
				i = i + 1;
			else
				if AGZ_IsInTimeFrame(string.sub(sTime,2,12)) then
					local ts = string.gsub(word, "%b[]", "");
					--AGZ_Debug("AGZ_GetRandomMessage - add to table: "..ts);
					table.insert(words, ts); 
					i = i + 1;
				end
			end
		end
	end
	if i > 0 then
		if MessageNumber ~= 0 then
			if MessageNumber > i then MessageNumber = 1; end
			msg = words[MessageNumber]
		else
			local j = math.random(i)
			--AGZ_Debug("AGZ_GetRandomMessage - random value = "..j);
			msg = words[j]
		end
	end
	return msg, MessageNumber
end

function AGZ_CheckIgnoreAchievement(AchievementName)
	AGZ_Debug("AGZ_CheckIgnoreAchievement - AchievementName: "..AchievementName)
	local iKW = AGZ.db.profile.global.IgnoreKeywords 
	if iKW == nil then iKW = ""; end
	AGZ_Debug("AGZ_CheckIgnoreAchievement - IngoreKeywords: "..iKW)
	-- AGZ_Debug("AGZ_CheckIgnoreAchievement - string.lower(AGZ_GetAchievementNamePlain(): "..string.lower(AGZ_GetAchievementNamePlain()))
	-- AGZ_Debug("AGZ_CheckIgnoreAchievement - string.lower(iKW): "..string.lower(iKW))
	-- AGZ_Debug("AGZ_CheckIgnoreAchievement - string.find(string.lower(AGZ_GetAchievementNamePlain()),string.lower(iKW)): "..tostring(string.find(string.lower(AGZ_GetAchievementNamePlain()),string.lower(iKW),1,true)))
	if iKW ~= "" then 
		--string.sub(iKW,2,string.len(iKW)-1)
		if string.find(iKW, ";") == nil then
			if string.starts(iKW,"{") and string.ends(iKW,"}") then
				local Category = string.lower(string.sub(iKW,2,string.len(iKW)-1))
				AGZ_Debug("AGZ_CheckIgnoreAchievement-AGZ_GetAchievementNamePlain(): "..AGZ_GetAchievementNamePlain())
				local ACategory = AGZ_getAchievementCategoryByName(AGZ_GetAchievementNamePlain())
				if ACategory == nil then
					return false
				end
				AGZ_Debug("ACategory: "..tostring(ACategory))
				if string.find(Category,"*",1,true) ~= nil then
					ACategory = string.sub(ACategory,1,string.find(Category,"*",1,true)-1).."*"
				end
				if string.lower(ACategory) == Category then
					AGZ_Debug("AGZ_CheckIgnoreAchievement - found category: "..ACategory)
					return true
				end 
			elseif string.find(string.lower(AGZ_GetAchievementNamePlain()),string.lower(AGZ_GetAchievementNamePlain(iKW))) ~= nil then
				AGZ_Debug("AGZ_CheckIgnoreAchievement - found: "..iKW)
				return true
			end
			AGZ_Debug("AGZ_CheckIgnoreAchievement - no keyword found to ignore!")
			return false
		else
			local words = {}
			for word in (iKW..";"):gmatch("([^;]*);") do 
				if string.trim(word) ~= "" then table.insert(words, word); end
			end
			for n, word in ipairs(words) do
				if string.starts(word,"[") and string.ends(word,"]") then
					word=string.sub(word,1,-1)
				end
				AGZ_Debug("AGZ_CheckIgnoreAchievement - checking: "..word)
				if string.starts(word,"{") and string.ends(word,"}") then
					local Category = string.lower(string.sub(word,2,string.len(word)-1))
					local ACategory = AGZ_getAchievementCategoryByName(AGZ_GetAchievementNamePlain())
					if ACategory ~= nil then
						if string.find(Category,"*",1,true) then
							ACategory = string.sub(ACategory,1,string.find(Category,"*",1,true)-1).."*"
						end
						if string.lower(ACategory) == Category then
							AGZ_Debug("AGZ_CheckIgnoreAchievement - found category: "..ACategory)
							return true
						end 
					end
				elseif string.find(string.lower(AGZ_GetAchievementNamePlain()),string.lower(AGZ_GetAchievementNamePlain(word))) ~= nil then
					AGZ_Debug("AGZ_CheckIgnoreAchievement - found: "..word)
					return true
				end
			end
		end
		AGZ_Debug("AGZ_CheckIgnoreAchievement - no keyword found to ignore!")
		return false
	else
		AGZ_Debug("AGZ_CheckIgnoreAchievement - no keywords to ignore!")
	end
	return false
end 

function AGZ_CheckOverride()
	local myName = UnitName("player")
	for index=1, GetNumGuildMembers() do 
		 local name,_,_,_,_,_,note = GetGuildRosterInfo(index)
		 if AGZ_IsMe(name) then
			 note = note:lower()
			 if note:match("noagz") then
				AGZ_GuildDisabledOverride = true;
				return true;
			 else
				AGZ_GuildDisabledOverride = false;
				return false;
			 end
			 break
		 end
	end
	return false;
end

function AGZ_GetMainProfile(ProfileName, Names)
--	AGZ_Debug("AGZ_GetMainProfile - ProfileName: "..tostring(ProfileName))
--	AGZ_Debug("AGZ_GetMainProfile - Names: "..tostring(Names))
	local profP = AGZ.db.profile.players[ProfileName]
	if profP == nil then return ProfileName; end
	if Names == nil then Names=""; end
	if string.find(Names, ProfileName) ~= nil then return ProfileName; end
	local allNames = ProfileName..";"..Names
	
	if profP.BelongsTo == "" or profP.BelongsTo == ProfileName then
		AGZ_Debug("AGZ_GetMainProfile - returning: "..tostring(ProfileName))
		return ProfileName
	else
		return AGZ_GetMainProfile(profP.BelongsTo, allNames)
	end
	
end

function AGZ_SettingsGetPlayerNames(HighlightPlayer, AddEmptyLine)
	local t = {}
	if AddEmptyLine == true then t[" "]=""; end
	
	local NameColor = "|cFF00FF00"
	local DisabledColor = "|cFF808080"

	for k, v in pairs(AGZ_PlayersTable) do
		--AGZ_Debug("AGZ_SettingsGetPlayerNames - k/v: "..tostring(k).."/"..tostring(v))
		if (v ~= "") and (v ~= nil) then		
			if AGZ.db.profile.players[v].BelongsTo ~= "" then
				--AGZ_Debug("AGZ_SettingsGetPlayerNames - disabled")
				t[v]=DisabledColor..v.."|r"
			elseif AGZ.db.profile.players[v].name == v and HighlightPlayer == true then
				--AGZ_Debug("AGZ_SettingsGetPlayerNames - highlighted")
				t[v]=NameColor..v.."|r"
			else
				t[v]=v
			end
		end
	end
	
	return t
end

function AGZ_GetPlayerNames()
	AGZ_PlayersTable = {}
	local i = 0
	
	for k, v in pairs(AGZ.db.profile.players) do
		--AGZ_Debug("AGZ_GetPlayerNames - k/v: "..tostring(k).."/"..tostring(v))
		--AGZ_Debug("AGZ_GetPlayerNames - v.name: "..tostring(v.name))
		if (v.name~="") and (v.name~=nil) then		
			AGZ_PlayersTable[v.name]=v.name
			i = i + 1
		end
	end

	C_GuildInfo.GuildRoster()
	local numGuildMembers, numOnline, numOnlineAndMobile = GetNumGuildMembers()
	--AGZ_Debug("AGZ_GetPlayerNames - numGuildMembers/numOnline/numOnlineAndMobile: "..tostring(numGuildMembers).."/"..tostring(numOnline).."/"..tostring(numOnlineAndMobile))
	for index=1, numGuildMembers do 
		local _fullName, _rank, _rankIndex, _level, _class, _zone, _note, _officernote, _online, _status, _classFileName, _achievementPoints, _achievementRank, _isMobile, _canSoR, _reputation = GetGuildRosterInfo(index)
		--AGZ_Debug("AGZ_GetPlayerNames - fullName"..index.." : ".._fullName)
		AGZ_PlayersTable[_fullName]=_fullName --.." (".._rank..")"
		i = i + 1
	end
	
	--add friendlist
	C_FriendList.ShowFriends();
	local numFriends, numOnline = C_FriendList.GetNumFriends()
	--AGZ_Debug("AGZ_GetPlayerNames - numFriends/numOnline: "..tostring(numFriends).."/"..tostring(numOnline))
	for index=1, numFriends do 
		local _name, _level, _class, _area, _connected, _status, _note = C_FriendList.GetFriendInfo(index)
		--AGZ_Debug("AGZ_GetPlayerNames - Name"..index.." : ".._name)
		if (_name~=nil) then
			AGZ_PlayersTable[_name]=_name
		end
		i = i + 1
	end
	
	-- add BattleNet
	--BNGetFriendInfo(friendIndex) - Returns BNet ID, real name, character name, character ID, game client, connected, status, broadcast and note of the friend 
	-- or ? presenceID, givenName, surname, toonName, toonID, client, isOnline, lastOnline, isAFK, isDND, broadcastText, noteText, isFriend, broadcastTime	
	-- local numFriends, numOnline = BNGetNumFriends()
	-- AGZ_Debug("AGZ_GetPlayerNames - numBNFriends/numBNOnline: "..tostring(numFriends).."/"..tostring(numOnline))
	-- for index=1, numFriends do 
		-- local _BNetID, _RealName, _name, _charID, _gameClient, _connected, _status, _broadcast, _note = BNGetFriendInfo(index)
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _BNetID"..index.." : "..tostring(_BNetID))
		-- --AGZ_Debug("AGZ_GetPlayerNames - _RealName"..index.." : "..tostring(_RealName))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _name"..index.." : "..tostring(_name))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _charID"..index.." : "..tostring(_charID))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _gameClient"..index.." : "..tostring(_gameClient))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _connected"..index.." : "..tostring(_connected))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _status"..index.." : "..tostring(_status))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _broadcast"..index.." : "..tostring(_broadcast))
		-- -- AGZ_Debug("AGZ_GetPlayerNames - _note"..index.." : "..tostring(_note))
		-- AGZ_PlayersTable[_RealName]=_RealName
		-- i = i + 1
	-- end

	-- AGZ_Debug("AGZ_GetPlayerNames - loaded player names: "..tostring(i))

	--AGZ_PlayersTable = t
end

function AGZ_SettingsAddPlayerName(val)
	AGZ_Debug("AGZ_SettingsAddPlayerName - val: "..tostring(val))
	if (val == nil) or (string.trim(val) == "") then return; end

	local player=string.trim(val)
	local curProfile = AGZ.db.profile.players[player]
	
	if (curProfile.name == "") then
		AGZ_Debug("AGZ_SettingsAddPlayerName - player: "..tostring(player))
		curProfile.name = player
	end
	AGZ.db.profile.players.lastUsedPlayer = player
	
	AGZ_Debug("AGZ_SettingsAddPlayerName - curProfile.name: "..tostring(AGZ.db.profile.players[player].name))
end

function AGZ_SettingsDeletePlayerName(val)
	AGZ_Debug("AGZ_SettingsDeletePlayerName - val: "..tostring(val))

	if (val == nil) or (string.trim(val) == "") then return; end
	AGZ.db.profile.players[val] = nil
end


function AGZ_RegisterDefaultSounds()
	if (SharedMedia) then
	  local soundtab = {
	  [566564] = L.SOUND_BELL_ALLIANCE,
	  -- ["Sound\\Doodad\\BellTollAlliance.ogg"] = L.SOUND_BELL_ALLIANCE,
	  [565853] = L.SOUND_BELL_HORDE,
	  -- ["Sound\\Doodad\\BellTollHorde.ogg"] = L.SOUND_BELL_HORDE,
	  [566558] = L.SOUND_BELL_NIGHTELF,
	  -- ["Sound\\Doodad\\BellTollNightElf.ogg"] = L.SOUND_BELL_NIGHTELF,
	  [566027] = L.SOUND_DRUMHIT,
	  -- ["Sound\\Doodad\\BellTollTribal.ogg"] = L.SOUND_DRUMHIT,
	  [566652] = L.SOUND_BELL_BOATARRIVED,
	  -- ["Sound\\Doodad\\BoatDockedWarning.ogg"] = L.SOUND_BELL_BOATARRIVED,
	  [565564] = L.SOUND_GONG_TROLL,
	  -- ["Sound\\Doodad\\G_GongTroll01.ogg"] = L.SOUND_GONG_TROLL,
	  [568154] = L.SOUND_BELL_MELLOW,
	  -- ["Sound\\Spells\\ShaysBell.ogg"] = L.SOUND_BELL_MELLOW,

	  [568587] = L.SOUND_ENTERQUEUE,
	  -- ["Sound\\Spells\\PVPEnterQueue.ogg"] = L.SOUND_ENTERQUEUE,
	  [568924] = L.SOUND_HEARTHBIND,
	  -- ["Sound\\Spells\\bind2_Impact_Base.ogg"] = L.SOUND_HEARTHBIND,
	  [566254] = L.SOUND_BELL_KARA,
	  -- ["Sound\\Doodad\\KharazahnBellToll.ogg"] = L.SOUND_BELL_KARA,

	  [567482] = L.SOUND_DING_AUCTION,
	  -- ["Sound\\Interface\\AuctionWindowOpen.ogg"] = L.SOUND_DING_AUCTION,
	  [567499] = L.SOUND_BELL_AUCTION,
	  -- ["Sound\\Interface\\AuctionWindowClose.ogg"] = L.SOUND_BELL_AUCTION,
	  [567436] = L.SOUND_ALARM1,
	  -- ["Sound\\Interface\\AlarmClockWarning1.ogg"] = L.SOUND_ALARM1,
	  [567399] = L.SOUND_ALARM2,
	  -- ["Sound\\Interface\\AlarmClockWarning2.ogg"] = L.SOUND_ALARM2,
	  [567458] = L.SOUND_ALARM3,
	  -- ["Sound\\Interface\\AlarmClockWarning3.ogg"] = L.SOUND_ALARM3,
	  [567416] = L.SOUND_MAP_PING,
	  -- ["Sound\\Interface\\MapPing.ogg"] = L.SOUND_MAP_PING,

	  [568232] = L.SOUND_SIMON_DING,
	  -- ["Sound\\Spells\\SimonGame_Visual_GameTick.ogg"] = L.SOUND_SIMON_DING,
	  [569518] = L.SOUND_SIMON_STARTGAME,
	  -- ["Sound\\Spells\\SimonGame_Visual_LevelStart.ogg"] = L.SOUND_SIMON_STARTGAME,
	  [569664] = L.SOUND_SIMON_STARTLEVEL,
	  -- ["Sound\\Spells\\SimonGame_Visual_GameStart.ogg"] = L.SOUND_SIMON_STARTLEVEL,

	  [568382] = L.SOUND_YAR,
	  -- ["Sound\\Spells\\YarrrrImpact.ogg"] = L.SOUND_YAR,
	  
	  [567401] = L.SOUND_AGGRO_WARNING,
	  -- ["Sound\\Interface\\Aggro_Enter_Warning_State.ogg"] = L.SOUND_AGGRO_WARNING,
	  [567471] = L.SOUND_AGGRO_PULLED,
	  -- ["Sound\\Interface\\Aggro_Pulled_Aggro.ogg"] = L.SOUND_AGGRO_PULLED,
	  [567404] = L.SOUND_GLYPH_CREATE_MAJOR,
	  -- ["Sound\\Interface\\Glyph_MajorCreate.ogg"] = L.SOUND_GLYPH_CREATE_MAJOR,
	  [567487] = L.SOUND_GLYPH_CREATE_MINOR,
	  -- ["Sound\\Interface\\Glyph_MinorCreate.ogg"] = L.SOUND_GLYPH_CREATE_MINOR,
	  [567410] = L.SOUND_GLYPH_DESTROY_MAJOR,
	  -- ["Sound\\Interface\\Glyph_MajorDestroy.ogg"] = L.SOUND_GLYPH_DESTROY_MAJOR,
	  [567447] = L.SOUND_GLYPH_DESTROY_MINOR,
	  -- ["Sound\\Interface\\Glyph_MinorDestroy.ogg"] = L.SOUND_GLYPH_DESTROY_MINOR,
	  [567474] = L.SOUND_BGTIMER,
	  -- ["Sound\\Interface\\UI_BattlegroundCountdown_Timer.ogg"] = L.SOUND_BGTIMER,
	  [648409] = L.SOUND_MEDAL_EXPIRES,
	  -- ["Sound\\Interface\\UI_Challenges_MedalExpires.ogg"] = L.SOUND_MEDAL_EXPIRES,
	  [1074321] = L.SOUND_GARRISON_INVASION,
	  -- ["Sound\\Interface\\UI_Garrison_Toast_InvasionAlert.ogg"] = L.SOUND_GARRISON_INVASION,

	  }
	  for data,name in pairs(soundtab) do
		if (not SharedMedia:Register("sound", "Blizzard: "..name, data)) then
		  AGZ_Debug("Error: Failed to register Blizzard sound '"..name.."'")
		end
	  end
	  soundtab = nil
	  
	  -- -- import additional sounds into LibSharedMedia-3.0
	  local soundtab = {
	  ["Interface\\AddOns\\AGZ\\Sounds\\wisp.ogg"] = L.SOUND_IM,
	  ["Interface\\AddOns\\AGZ\\Sounds\\ichatIn.ogg"] = L.SOUND_CHATIN,
	  ["Interface\\AddOns\\AGZ\\Sounds\\ichatOut.ogg"] = L.SOUND_CHATOUT,
	  ["Interface\\AddOns\\AGZ\\Sounds\\chat.ogg"] = L.SOUND_CHATBLIP,
	  }
	  for data,name in pairs(soundtab) do
		if (not SharedMedia:Register("sound", "AGZ: "..name, data)) then
		  AGZ_Debug("Error: Failed to register AGZ sound '"..name.."'")
		end
	  end
	  soundtab = nil

	end
end 

function AGZ_SetWayPoint(x, y, note)

	AGZ_Debug("AGZ_SetWayPoint x: "..tostring(x));
	AGZ_Debug("AGZ_SetWayPoint y: "..tostring(y));
	AGZ_Debug("AGZ_SetWayPoint note: "..tostring(note));
	if TomTom then
		if not TomTom.AddWaypointToCurrentZone then
			self:Print("Please update TomTom to the latest version to support setting waypoints")
		else
			TomTom:AddWaypointToCurrentZone(x, y, note)
		end
	end

end

function AGZ_GetCurrentWCZ()
	local mapID = C_Map.GetBestMapForUnit("player")
	local world, continent, zone

    repeat
        local mapInfo = C_Map.GetMapInfo(mapID)
        if not mapInfo then
            return world, continent, zone
        end
        local mapType = mapInfo.mapType
        if mapType == Enum.UIMapType.Zone then
            -- Its a zone map
            zone = mapInfo["name"]
        elseif mapType == Enum.UIMapType.Continent then
            continent = mapInfo["name"]
        elseif mapType == Enum.UIMapType.World then
            world = mapInfo["name"]
            continent = continent or mapInfo["name"] -- Hack for one continent worlds
        end
        mapID = mapInfo.parentMapID
    until (mapID == 0)

    return world, continent, zone
end

function AGZ_OpenComChannel()

end 

function AGZ_showLoginScreen()

	local frame = AceGUI:Create("Frame")
	frame:SetTitle(L["LOGIN_SCREEN_CAPTION"])
	frame:SetStatusText(L["LOGIN_SCREEN_STATUSTEXT"])
	frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)
	frame:SetLayout("Flow")
	frame:SetWidth(400)
	frame:SetHeight(300)

	local editbox = AceGUI:Create("EditBox")
	--editbox:SetLabel(L["LOGIN_SCREEN_MESSAGE_CAPTION"])
	editbox:SetText("") --L["LOGIN_SCREEN_MESSAGE_TEXT"])
	editbox:SetWidth(500)

	local mleditbox = AceGUI:Create("MultiLineEditBox")
	mleditbox:SetLabel(L["LOGIN_SCREEN_MESSAGE_CAPTION"])
	mleditbox:SetText(L["LOGIN_SCREEN_MESSAGE_TEXT"])
	mleditbox:SetWidth(650)
	mleditbox:SetNumLines(8)
	mleditbox:SetCallback("OnTextChanged", function(widget, event, text) editbox:SetText(text) end)
	frame:AddChild(mleditbox)
	frame:AddChild(editbox)

	local checkbox = AceGUI:Create("CheckBox")
	checkbox:SetLabel(L["LOGIN_SCREEN_CHECKBOX_LABEL"])
	frame:AddChild(checkbox)

	local button = AceGUI:Create("Button")
	button:SetText(L["LOGIN_SCREEN_BUTTON_SEND_CAPTION"])
	button:SetWidth(150)
	button:SetCallback("OnClick", function(widget) AceGUI:Release(frame) end)
	frame:AddChild(button)

end

-------------------
-- for Debugging --
-------------------
function AGZ_Debug(msg)
	local timestamp=""
	if AGZ.db.profile.Debugging then 
		LoggingChat(true)
		if not AGZ.DebugFrame then
			AGZ_FindDebugFrame()
		end
		if  AGZ.db.profile.DebugTimestamp == true then
			timestamp=tostring(date("%H:%M:%S"))
		else
			timestamp=""
		end
		if AGZ.DebugFrame ~= nil then
			msg = "\124cffffFF00"..timestamp.."\124r "..msg
			AGZ:Print(AGZ.DebugFrame, msg); 
		else
			msg = "\124cffffFF00"..timestamp.." [AGZ:Debug]\124r "..msg
			AGZ:Print(msg); 
		end 
		--Log = tostring(Log).."\n"..msg
	end
end

function AGZ_FindDebugFrame()
	
	if not AGZ.DebugFrame then
		for vChatIndex = 1, NUM_CHAT_WINDOWS do
			local vChatFrame = _G["ChatFrame"..vChatIndex]
			
			if vChatFrame and (vChatFrame:IsVisible() or vChatFrame.isDocked) then
				local vTab = _G["ChatFrame"..vChatIndex.."Tab"]
				local vName = vTab:GetText()
				
				if (string.lower(vName) == "agzdebug") or (string.lower(vName) == "debug" and not AGZ.DebugFrame) then
					AGZ.DebugFrame = vChatFrame
					AGZ.DebugFrame:SetFading(false)
					--AGZ.DebugFrame:SetMaxResize(1200, 1000)
				end
			end
		end
	end
	
	if AGZ.DebugFrame then
		AGZ:Print("Found debugging chat frame")
		if AGZ.DebugFrame:GetMaxLines() ~= 1000 then
			AGZ.DebugFrame:SetMaxLines(1000)
		end
		AGZ:Print("Set DebugMaxLines: "..tostring(AGZ.DebugFrame:GetMaxLines()))
	end
end
